package com.sunxung.factoring;

import com.sunxung.factoring.component.util.SpringUtil;
import com.sunxung.factoring.start.StartLoad;
import io.seata.spring.boot.autoconfigure.SeataTCCFenceAutoConfiguration;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;


@SpringBootApplication(exclude = SeataTCCFenceAutoConfiguration.class)
@EnableConfigurationProperties
@EnableScheduling
@EnableAsync
public class ApplicationRun {

    public static void main(String[] args) throws Exception {
        SpringApplication.run(ApplicationRun.class, args);
        SpringUtil.getBeanByType(StartLoad.class).run();
        System.out.println("启动完成!");
    }
}
