package com.sunxung.factoring.component.annotation;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 权限注解
 */
@Documented
@Retention(RetentionPolicy.RUNTIME)
@Target({
        ElementType.METHOD, ElementType.PARAMETER
})
public @interface Authority {

    /** 权限ename */
    String value();

    /** 权限中文名称 */
    String name() default "";
}
