package com.sunxung.factoring.component.annotation;

/**
 * @className:ExcelConstants
 * @description:Excel常量类
 * @author:杜小姣
 * @e-mail:1261237207@qq.com
 * @date:2018年4月9日 上午11:57:50
 */
public interface ExcelConstants {

    /** 属性转码方法后缀 */
    String ENCODE_NAME = "EnCode";
    /** 属性解码方法后缀 */
    String DECODE_NAME = "DeCode";
    /** set方法前缀 */
    String SET_NAME = "set";
    /** get方法前缀 */
    String GET_NAME = "get";
    /** 文件类型不支持时的提示 */
    String UNSUPPORT_FILE_TYPE_MSG = "只支持.xls 或 .xlsx 文件";
    /** 工作薄为空时的提示 */
    String NULL_SHEET_MGS = "当前工作薄为空..";
    /** 数据集合为空时的提示 */
    String NULL_LIST_MSG = "list 为空..";
    /** xlsx文件类型后缀 */
    String XLSX_TYPE = "xlsx";
    /** xls文件类型后缀 */
    String XLS_TYPE = "xls";
    /** 添加错误信息的方法名 */
    String PUT_ERROR_MSG_METHOD_NAME = "putErrorMessage";
    /** 空值提示key(错误信息) */
    String NULL_MSG_KEY = "nullMsg";
    /** 合法值校验key(int型错误信息) */
    String INT_VALUE = "intValue";
    /** 合法值校验key(double型错误信息) */
    String DOUBLE_VALUE = "doubleValue";
    /** 合法值校验key(String型错误信息) */
    String STRING_VALUE = "stringValue";
    /** 合法值区间校验key(int型错误信息) */
    String INT_SECTION = "intSection";
    /** 合法值区间校验key(double型错误信息) */
    String DOUBLE_SECTION = "doubleSection";
    String ARR_VALUE_KEY = "arrValue";
    String SECTION_KEY = "sectionValue";
    String EXCEL_MISS = "导入的Excel格式不正确，请重新选择";
}
