package com.sunxung.factoring.component.enums;

public enum EnterpriseCertificateTypeEnums {


    BUSINESS_LICENSE("enterpriseCertificateType_2011", "营业执照");

    String code;

    String desc;

    EnterpriseCertificateTypeEnums(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public static EnterpriseCertificateTypeEnums getByCode(String code) {
        for (EnterpriseCertificateTypeEnums ft : values()) {
            if (ft.code.equals(code)) {
                return ft;
            }
        }
        return null;
    }

    public String getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }
}
