package com.sunxung.factoring.component.enums;

public enum IdCardEnums {

    FIRST("idCard_0102", "第一代居民身份证"),

    SECOND("idCard_0101", "第二代居民身份证"),

    TEMP("idCard_0200", "临时身份证");

    String code;

    String desc;

    IdCardEnums(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public static IdCardEnums getByCode(String code) {
        for (IdCardEnums ft : values()) {
            if (ft.code.equals(code)) {
                return ft;
            }
        }
        return null;
    }

    public String getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }
}
