package com.sunxung.factoring.component.enums;

public enum RegisterCountryEnums {

    CHINA("registerCountry_CHN", "中国");

    String code;

    String desc;

    RegisterCountryEnums(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public static RegisterCountryEnums getByCode(String code) {
        for (RegisterCountryEnums ft : values()) {
            if (ft.code.equals(code)) {
                return ft;
            }
        }
        return null;
    }

    public String getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }
}
