package com.sunxung.factoring.entity.bocom.response;

import com.bocom.api.BocomResponse;
import com.fasterxml.jackson.annotation.JsonProperty;

public class B2BJEBP1007ResponseV2 extends BocomResponse {
    /**
     * ""
     */
    @JsonProperty("pptm_head")
    private PptmHead pptmHead;

    public static class PptmHead {
        /**
         * 格式类型
         */
        @JsonProperty("struct")
        private String struct;

        /**
         * 返回码
         */
        @JsonProperty("return_code")
        private String returnCode;

        /**
         * 错误信息
         */
        @JsonProperty("return_msg")
        private String returnMsg;

        /**
         * 报文发送日期
         */
        @JsonProperty("send_date")
        private String sendDate;

        /**
         * 交易状态
         */
        @JsonProperty("tran_state")
        private String tranState;

        /**
         * 预留
         */
        @JsonProperty("reserve")
        private String reserve;

        /**
         * 交易流水号
         */
        @JsonProperty("trans_no")
        private String transNo;

        /**
         * 版本号
         */
        @JsonProperty("version")
        private String version;

        /**
         * 报文发送时间
         */
        @JsonProperty("send_time")
        private String sendTime;

        public String getStruct() {
            return struct;
        }

        public void setStruct(String struct) {
            this.struct = struct;
        }

        public String getReturnCode() {
            return returnCode;
        }

        public void setReturnCode(String returnCode) {
            this.returnCode = returnCode;
        }

        public String getReturnMsg() {
            return returnMsg;
        }

        public void setReturnMsg(String returnMsg) {
            this.returnMsg = returnMsg;
        }

        public String getSendDate() {
            return sendDate;
        }

        public void setSendDate(String sendDate) {
            this.sendDate = sendDate;
        }

        public String getTranState() {
            return tranState;
        }

        public void setTranState(String tranState) {
            this.tranState = tranState;
        }

        public String getReserve() {
            return reserve;
        }

        public void setReserve(String reserve) {
            this.reserve = reserve;
        }

        public String getTransNo() {
            return transNo;
        }

        public void setTransNo(String transNo) {
            this.transNo = transNo;
        }

        public String getVersion() {
            return version;
        }

        public void setVersion(String version) {
            this.version = version;
        }

        public String getSendTime() {
            return sendTime;
        }

        public void setSendTime(String sendTime) {
            this.sendTime = sendTime;
        }
    }

    /**
     * ""
     */
    @JsonProperty("pptm_body")
    private PptmBody pptmBody;

    public static class PptmBody {
        /**
         * 内部流水号
         */
        @JsonProperty("inr_ser_no")
        private String inrSerNo;

        /**
         * 交易状态
         * 00-成功
         * 01-失败
         * 02-待查
         * 03-待授权
         * 04-授权拒绝
         * 05-延时中
         */
        @JsonProperty("txn_sts")
        private String txnSts;

        /**
         * 会计日
         */
        @JsonProperty("acctg_dt")
        private String acctgDt;

        /**
         * 会计流水号
         */
        @JsonProperty("acctg_ser_no")
        private String acctgSerNo;

        /**
         * 错误信息
         */
        @JsonProperty("err_inf")
        private String errInf;

        /**
         * 通知base64流
         */
        @JsonProperty("merch_noty_base64_stream")
        private String merchNotyBase64Stream;

        /**
         * 跳转链接
         */
        @JsonProperty("jump_link")
        private String jumpLink;

        /**
         * 通知短链接
         */
        @JsonProperty("merch_noty_short_url")
        private String merchNotyShortUrl;

        public String getInrSerNo() {
            return inrSerNo;
        }

        public void setInrSerNo(String inrSerNo) {
            this.inrSerNo = inrSerNo;
        }

        public String getTxnSts() {
            return txnSts;
        }

        public void setTxnSts(String txnSts) {
            this.txnSts = txnSts;
        }

        public String getAcctgDt() {
            return acctgDt;
        }

        public void setAcctgDt(String acctgDt) {
            this.acctgDt = acctgDt;
        }

        public String getAcctgSerNo() {
            return acctgSerNo;
        }

        public void setAcctgSerNo(String acctgSerNo) {
            this.acctgSerNo = acctgSerNo;
        }

        public String getErrInf() {
            return errInf;
        }

        public void setErrInf(String errInf) {
            this.errInf = errInf;
        }

        public String getMerchNotyBase64Stream() {
            return merchNotyBase64Stream;
        }

        public void setMerchNotyBase64Stream(String merchNotyBase64Stream) {
            this.merchNotyBase64Stream = merchNotyBase64Stream;
        }

        public String getJumpLink() {
            return jumpLink;
        }

        public void setJumpLink(String jumpLink) {
            this.jumpLink = jumpLink;
        }

        public String getMerchNotyShortUrl() {
            return merchNotyShortUrl;
        }

        public void setMerchNotyShortUrl(String merchNotyShortUrl) {
            this.merchNotyShortUrl = merchNotyShortUrl;
        }
    }

    public PptmHead getPptmHead() {
        return pptmHead;
    }

    public void setPptmHead(PptmHead pptmHead) {
        this.pptmHead = pptmHead;
    }

    public PptmBody getPptmBody() {
        return pptmBody;
    }

    public void setPptmBody(PptmBody pptmBody) {
        this.pptmBody = pptmBody;
    }
}
