package com.sunxung.factoring.entity.bocom.response;

import com.bocom.api.BocomResponse;
import com.fasterxml.jackson.annotation.JsonProperty;

public class B2BJETP1007ResponseV1 extends BocomResponse {
    /**
     * ""
     */
    @JsonProperty("pptm_body")
    private PptmBody pptmBody;

    public static class PptmBody {
        /**
         * 手续费
         */
        @JsonProperty("poundage_amt")
        private String poundageAmt;

        /**
         * 电子汇划费
         */
        @JsonProperty("elec_trs_fee")
        private String elecTrsFee;

        /**
         * 错误码
         */
        @JsonProperty("error_code")
        private String errorCode;

        /**
         * 错误信息
         */
        @JsonProperty("error_info")
        private String errorInfo;

        public String getPoundageAmt() {
            return poundageAmt;
        }

        public void setPoundageAmt(String poundageAmt) {
            this.poundageAmt = poundageAmt;
        }

        public String getElecTrsFee() {
            return elecTrsFee;
        }

        public void setElecTrsFee(String elecTrsFee) {
            this.elecTrsFee = elecTrsFee;
        }

        public String getErrorCode() {
            return errorCode;
        }

        public void setErrorCode(String errorCode) {
            this.errorCode = errorCode;
        }

        public String getErrorInfo() {
            return errorInfo;
        }

        public void setErrorInfo(String errorInfo) {
            this.errorInfo = errorInfo;
        }
    }

    /**
     * ""
     */
    @JsonProperty("pptm_head")
    private PptmHead pptmHead;

    public static class PptmHead {
        /**
         * 格式类型
         */
        @JsonProperty("struct")
        private String struct;

        /**
         * 返回码
         */
        @JsonProperty("return_code")
        private String returnCode;

        /**
         * 错误信息
         */
        @JsonProperty("return_msg")
        private String returnMsg;

        /**
         * 报文发送日期
         */
        @JsonProperty("send_date")
        private String sendDate;

        /**
         * 交易状态
         */
        @JsonProperty("tran_state")
        private String tranState;

        /**
         * 预留
         */
        @JsonProperty("reserve")
        private String reserve;

        /**
         * 交易流水号
         */
        @JsonProperty("trans_no")
        private String transNo;

        /**
         * 版本号
         */
        @JsonProperty("version")
        private String version;

        /**
         * 报文发送时间
         */
        @JsonProperty("send_time")
        private String sendTime;

        public String getStruct() {
            return struct;
        }

        public void setStruct(String struct) {
            this.struct = struct;
        }

        public String getReturnCode() {
            return returnCode;
        }

        public void setReturnCode(String returnCode) {
            this.returnCode = returnCode;
        }

        public String getReturnMsg() {
            return returnMsg;
        }

        public void setReturnMsg(String returnMsg) {
            this.returnMsg = returnMsg;
        }

        public String getSendDate() {
            return sendDate;
        }

        public void setSendDate(String sendDate) {
            this.sendDate = sendDate;
        }

        public String getTranState() {
            return tranState;
        }

        public void setTranState(String tranState) {
            this.tranState = tranState;
        }

        public String getReserve() {
            return reserve;
        }

        public void setReserve(String reserve) {
            this.reserve = reserve;
        }

        public String getTransNo() {
            return transNo;
        }

        public void setTransNo(String transNo) {
            this.transNo = transNo;
        }

        public String getVersion() {
            return version;
        }

        public void setVersion(String version) {
            this.version = version;
        }

        public String getSendTime() {
            return sendTime;
        }

        public void setSendTime(String sendTime) {
            this.sendTime = sendTime;
        }
    }

    public PptmBody getPptmBody() {
        return pptmBody;
    }

    public void setPptmBody(PptmBody pptmBody) {
        this.pptmBody = pptmBody;
    }

    public PptmHead getPptmHead() {
        return pptmHead;
    }

    public void setPptmHead(PptmHead pptmHead) {
        this.pptmHead = pptmHead;
    }
}
