package com.sunxung.factoring.entity.bocom.vipaccount;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 会员账户-综合交易明细文件
 * </p>
 *
 * @author wangyafan
 * @since 2024-08-27
 */
@TableName("bocom_vip_account_comprehensive_detail_file_rel")
public class BocomVipAccountComprehensiveDetailFileRel implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 会员账户-基础信息表id
     */
    @TableField("bocom_vip_account_basic_info_id")
    private Long bocomVipAccountBasicInfoId;

    /**
     * 开始日期
     */
    @TableField("date")
    private Date date;

    /**
     * 创建人
     */
    @TableField("user_create")
    private String userCreate;

    /**
     * 修改人
     */
    @TableField("user_modified")
    private String userModified;

    /**
     * 创建时间
     */
    @TableField("gmt_create")
    private LocalDateTime gmtCreate;

    /**
     * 修改时间
     */
    @TableField("gmt_modified")
    private LocalDateTime gmtModified;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    public Long getBocomVipAccountBasicInfoId() {
        return bocomVipAccountBasicInfoId;
    }

    public void setBocomVipAccountBasicInfoId(Long bocomVipAccountBasicInfoId) {
        this.bocomVipAccountBasicInfoId = bocomVipAccountBasicInfoId;
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public String getUserCreate() {
        return userCreate;
    }

    public void setUserCreate(String userCreate) {
        this.userCreate = userCreate;
    }
    public String getUserModified() {
        return userModified;
    }

    public void setUserModified(String userModified) {
        this.userModified = userModified;
    }
    public LocalDateTime getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(LocalDateTime gmtCreate) {
        this.gmtCreate = gmtCreate;
    }
    public LocalDateTime getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(LocalDateTime gmtModified) {
        this.gmtModified = gmtModified;
    }

    @Override
    public String toString() {
        return "BocomVipAccountComprehensiveDetailFileRel{" +
            "id=" + id +
            ", bocomVipAccountBasicInfoId=" + bocomVipAccountBasicInfoId +
            ", date=" + date +
            ", userCreate=" + userCreate +
            ", userModified=" + userModified +
            ", gmtCreate=" + gmtCreate +
            ", gmtModified=" + gmtModified +
        "}";
    }
}
