package com.sunxung.factoring.entity.cashflowmanage.vo;

import com.sunxung.factoring.entity.cashflowmanage.CashFlowManageEntryInfo;
import com.sunxung.factoring.entity.sys.FileStorage;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 现金流入账vo类
 *
 * @author LiuJia
 */
@Setter
@Getter
public class CashFlowEntryInfoVo {
    /**
     * 现金流管理基础信息
     **/
    private CashFlowManageBaseVo cashFlowManageBaseVo;
    /**
     * 现金流管理入账信息
     **/
    private CashFlowManageEntryInfo cashFlowManageEntryInfo;

    /**
     * 关联的分账信息
     */
    private RelationLedgerInfoVo relationLedgerInfoVo;

    /**
     * 关联的附件信息
     */
    private List<FileStorage> fileList;

    /**
     * 删除的附件Id
     **/
    private List<Long> deleteFileIdList;


}
