package com.sunxung.factoring.entity.financing.contract;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.sunxung.factoring.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;

/**
 * <p>
 * 合同管理-主合同历史信息
 * </p>
 *
 * @author liutao
 * @since 2024-04-22
 */
@TableName("contract_master_contract_his")
public class ContractMasterContractHis extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 合同基础历史ID
     */
    @TableField("contract_info_his_id")
    private Long contractInfoHisId;

    /**
     * 合同份数
     */
    @TableField("contract_num")
    private Integer contractNum;

    /**
     * 保理主合同特殊约定
     */
    @TableField("special_agreement")
    private String specialAgreement;

    /**
     * 保理信息表特殊约定
     */
    @TableField("factoring_contract_agreement")
    private String factoringContractAgreement;

    /**
     * 融资确认书特殊约定
     */
    @TableField("financing_confirm_agreement")
    private String financingConfirmAgreement;

    public Long getContractInfoHisId() {
        return contractInfoHisId;
    }

    public void setContractInfoHisId(Long contractInfoHisId) {
        this.contractInfoHisId = contractInfoHisId;
    }
    public Integer getContractNum() {
        return contractNum;
    }

    public void setContractNum(Integer contractNum) {
        this.contractNum = contractNum;
    }
    public String getSpecialAgreement() {
        return specialAgreement;
    }

    public void setSpecialAgreement(String specialAgreement) {
        this.specialAgreement = specialAgreement;
    }
    public String getFactoringContractAgreement() {
        return factoringContractAgreement;
    }

    public void setFactoringContractAgreement(String factoringContractAgreement) {
        this.factoringContractAgreement = factoringContractAgreement;
    }
    public String getFinancingConfirmAgreement() {
        return financingConfirmAgreement;
    }

    public void setFinancingConfirmAgreement(String financingConfirmAgreement) {
        this.financingConfirmAgreement = financingConfirmAgreement;
    }

    @Override
    public String toString() {
        return "ContractMasterContractHis{" +
            "contractInfoHisId=" + contractInfoHisId +
            ", contractNum=" + contractNum +
            ", specialAgreement=" + specialAgreement +
            ", factoringContractAgreement=" + factoringContractAgreement +
            ", financingConfirmAgreement=" + financingConfirmAgreement +
        "}";
    }
}
