package com.sunxung.factoring.entity.financing.payment;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

/**
 * <p>
 * 付款条件与附件历史关联表
 * </p>
 *
 * @author liutao
 * @since 2023-04-19
 */
@TableName("payment_condition_file_ref_his")
public class PaymentConditionFileRefHis {

    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 付款条件ID
     */
    @TableField("payment_condition_his_id")
    private Long paymentConditionHisId;

    /**
     * 附件ID
     */
    @TableField("file_id")
    private Long fileId;

    public PaymentConditionFileRefHis() {
    }

    public PaymentConditionFileRefHis(Long paymentConditionHisId, Long fileId) {
        this.paymentConditionHisId = paymentConditionHisId;
        this.fileId = fileId;
    }

    public Long getPaymentConditionHisId() {
        return paymentConditionHisId;
    }

    public void setPaymentConditionHisId(Long paymentConditionHisId) {
        this.paymentConditionHisId = paymentConditionHisId;
    }

    public Long getFileId() {
        return fileId;
    }

    public void setFileId(Long fileId) {
        this.fileId = fileId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
}
