package com.sunxung.factoring.entity.salescontractmanagement;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.sunxung.factoring.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;

/**
 * <p>
 * --销售合同补充合同审核人员信息历史表
 * </p>
 *
 * @author liutao
 * @since 2023-05-18
 */
@TableName("sales_contract_supplement_approval_person_info_history_ref")
public class SalesContractSupplementApprovalPersonInfoHistoryRef extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 销售合同补充合同审核Id
     */
    @TableField("sales_contract_supplement_approval_id")
    private Long salesContractSupplementApprovalId;

    /**
     * 用户名
     */
    @TableField("name")
    private String name;

    /**
     * 人员类型
     */
    @TableField("type")
    private String type;

    /**
     * 联系电话
     */
    @TableField("mobile")
    private String mobile;

    /**
     * 备注
     */
    @TableField("remark")
    private String remark;

    public Long getSalesContractSupplementApprovalId() {
        return salesContractSupplementApprovalId;
    }

    public void setSalesContractSupplementApprovalId(Long salesContractSupplementApprovalId) {
        this.salesContractSupplementApprovalId = salesContractSupplementApprovalId;
    }
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }
    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    @Override
    public String toString() {
        return "SalesContractSupplementApprovalPersonInfoHistoryRef{" +
            "salesContractSupplementApprovalId=" + salesContractSupplementApprovalId +
            ", name=" + name +
            ", type=" + type +
            ", mobile=" + mobile +
            ", remark=" + remark +
        "}";
    }
}
