package com.sunxung.factoring.entity.salescontractmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

/**
 * <p>
 * 销售合同变更-模板初审-审批意见表
 * </p>
 *
 * @author yafan
 * @since 2024-01-09
 */
@TableName("sales_contract_supplement_template_first_approval_comment_info")
public class SalesContractSupplementTemplateFirstApprovalCommentInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 销售合同-变更模板初审Id
     */
    @TableField("sales_contract_supplement_template_first_approval_info_id")
    private Long salesContractSupplementTemplateFirstApprovalInfoId;

    /**
     * 审批意见
     */
    @TableField("approval_comment")
    private String approvalComment;

    public Long getSalesContractSupplementTemplateFirstApprovalInfoId() {
        return salesContractSupplementTemplateFirstApprovalInfoId;
    }

    public void setSalesContractSupplementTemplateFirstApprovalInfoId(Long salesContractSupplementTemplateFirstApprovalInfoId) {
        this.salesContractSupplementTemplateFirstApprovalInfoId = salesContractSupplementTemplateFirstApprovalInfoId;
    }

    public String getApprovalComment() {
        return approvalComment;
    }

    public void setApprovalComment(String approvalComment) {
        this.approvalComment = approvalComment;
    }

    @Override
    public String toString() {
        return "SalesContractSupplementTemplateFirstApprovalCommentInfo{" +
                ", salesContractSupplementTemplateFirstApprovalInfoId=" + salesContractSupplementTemplateFirstApprovalInfoId +
                ", approvalComment=" + approvalComment +
                "}";
    }
}
