package com.sunxung.factoring.inkassomapper;

import com.sunxung.factoring.entity.steelwaiter.SellBill;
import com.sunxung.factoring.entity.steelwaiter.SellBillItem;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 *
 * @author liutao
 * @date 2023-10-26
 */
@Mapper
public interface SteelWaiterMapper {


    List<String> findAllBillNumbers(@Param("supplierName")String supplierName,@Param("keyword")String keyword);

    List<SellBillItem> getGoodsByBillNumber(@Param("billNumber") String billNumber, @Param("companyName") String companyName);

    SellBill getBillByBillNumber(@Param("billNumber") String billNumber, @Param("companyName") String companyName);
}
