package com.sunxung.factoring.mapper.biddingManagement;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sunxung.factoring.entity.biddingManagement.CBiddingBasicInfo;
import com.sunxung.factoring.entity.biddingManagement.SearchBiddingBasic;
import com.sunxung.factoring.entity.biddingManagement.vo.BiddingBasicInfoResultVo;
import com.sunxung.factoring.entity.project.vo.BusinessProcessingTaskVo;
import com.sunxung.factoring.entity.project.vo.SearchBusinessProcessingTask;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * <p>
 * 招投标管理基本信息表 Mapper 接口
 * </p>
 *
 * @author author
 * @since 2023-11-20
 */
@Mapper
public interface CBiddingBasicInfoMapper extends BaseMapper<CBiddingBasicInfo> {

    BiddingBasicInfoResultVo getCreditProjectByBiddingId(Long id);

    List<BusinessProcessingTaskVo> findAllList(SearchBusinessProcessingTask search);

    CBiddingBasicInfo get(Long id);

    BiddingBasicInfoResultVo getByHisId(Long id);

}
