package com.sunxung.factoring.mapper.cashflowmanage;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sunxung.factoring.entity.cashflowmanage.CashFlowManageBasicInfo;
import com.sunxung.factoring.entity.cashflowmanage.vo.CashFlowManageBaseVo;
import com.sunxung.factoring.entity.cashflowmanage.vo.SearchCashFlowManageVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @Description : 现金流管理基础信息Mapper
 * @Author : JiaYf
 * @Date: 2021-11-02 18:09
 */
@Mapper
public interface CashFlowManageBaseInfoMapper extends BaseMapper<CashFlowManageBasicInfo> {
    /**
     * 分页查询  现金流管理信息
     *
     * @param searchCashFlowManageVo
     * @return
     */
    List<CashFlowManageBaseVo> queryPage(SearchCashFlowManageVo searchCashFlowManageVo);


    /**
     * 获取现金流基础详细信息
     *
     * @param id
     * @return entryOutType 出入账类型
     */
    CashFlowManageBaseVo getDetail(Long id);
}
