package com.sunxung.factoring.mapper.financing.apply;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sunxung.factoring.entity.financing.apply.CFinancingBasicInfo;
import com.sunxung.factoring.entity.project.vo.BusinessProcessingTaskVo;
import com.sunxung.factoring.entity.project.vo.SearchBusinessProcessingTask;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * <p>
 * 融资申请-基础信息表 Mapper 接口
 * </p>
 *
 * @author liutao
 * @since 2023-12-19
 */

@Mapper
public interface CFinancingBasicInfoMapper extends BaseMapper<CFinancingBasicInfo> {

    /**
     * 获取列表页详情
     *
     * @param id
     * @return
     */
    CFinancingBasicInfo getListInfo(Long id);

    /**
     * 全部列表查询
     *
     * @return
     */
    List<BusinessProcessingTaskVo> findAll(SearchBusinessProcessingTask search);
}
