package com.sunxung.factoring.mapper.financing.contract;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sunxung.factoring.entity.financing.contract.ElectronicPersonInfo;
import org.apache.ibatis.annotations.Mapper;

/**
 * <p>
 * 个人电子签信息表 Mapper 接口
 * </p>
 *
 * @author liutao
 * @since 2022-07-09
 */
@Mapper
public interface ElectronicPersonInfoMapper extends BaseMapper<ElectronicPersonInfo> {

    ElectronicPersonInfo getBySocialCreditCode(String socialCreditCode);
}
