package com.sunxung.factoring.mapper.fundmanagement;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sunxung.factoring.entity.BaseSearch;
import com.sunxung.factoring.entity.fundmanagement.FinancialInstitutionInfo;
import com.sunxung.factoring.entity.fundmanagement.vo.FinancialInstitutionDetailVo;
import com.sunxung.factoring.entity.fundmanagement.vo.FinancialInstitutionSearch;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @Description :
 * @Author : L.Jia
 * @Date: 2023-02-13 20:46
 */
@Mapper
public interface FinancialInstitutionMapper extends BaseMapper<FinancialInstitutionInfo> {

    /**
     * 列表页分页查询
     *
     * @param search
     * @return
     */
    List<FinancialInstitutionInfo> findBySearch(BaseSearch search);

    /**
     * 获取详情页列表
     *
     * @param search
     * @return
     */
    List<FinancialInstitutionDetailVo> getDetailList(FinancialInstitutionSearch search);
}
