package com.sunxung.factoring.mapper.purchcontractmanagement;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sunxung.factoring.entity.purchcontractmanagement.PurchContractRetentionInfo;
import org.apache.ibatis.annotations.Mapper;

/**
 * @Description : 采购合同质保金信息Mapper
 * @Author : JiaYf
 * @Date: 2021-09-15 14:51
 */
@Mapper
public interface PurchContractRetentionInfoMapper extends BaseMapper<PurchContractRetentionInfo> {
    /**
     * 根据采购合同基础信息Id查询
     * @param purchContId
     * @return
     */
    PurchContractRetentionInfo findByPurchContId(Long purchContId);
}
