package com.sunxung.factoring.mapper.purchcontractmanagement;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sunxung.factoring.entity.purchcontractmanagement.PurchContractSettlePayment;
import org.apache.ibatis.annotations.Mapper;

/**
 * @Description : 采购合同结算与付款Mapper
 * @Author : JiaYf
 * @Date: 2021-09-17 18:53
 */
@Mapper
public interface PurchContractSettlePaymentMapper extends BaseMapper<PurchContractSettlePayment> {
    /**
     * 根据采购合同审核表ID获取
     * @param id
     * @return
     */
    PurchContractSettlePayment findByPurchContBasicId(Long id);

}
