package com.sunxung.factoring.mapper.refundsManagement;

import com.sunxung.factoring.entity.project.vo.BusinessProcessingTaskVo;
import com.sunxung.factoring.entity.project.vo.SearchBusinessProcessingTask;
import com.sunxung.factoring.entity.refundsManagement.RefundManagement;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sunxung.factoring.entity.refundsManagement.vo.LedgerDetailsVo;
import com.sunxung.factoring.entity.refundsManagement.vo.RefundManagementVo;

import java.util.List;

/**
 * <p>
 * 退款管理表 Mapper 接口
 * </p>
 *
 * @author yafan
 * @since 2024-03-04
 */
public interface RefundManagementMapper extends BaseMapper<RefundManagement> {

    List<BusinessProcessingTaskVo> findBySearch(SearchBusinessProcessingTask search);

    RefundManagement getById(Long id);

    /**
     * 根据退款id 查询应退明细
     * @param id
     * @return
     */
    List<LedgerDetailsVo> listByRefundId(Long id);

}
