package com.sunxung.factoring.mapper.salescontractmanagement;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sunxung.factoring.entity.salescontractmanagement.SalesContractSettleInfo;
import org.apache.ibatis.annotations.Mapper;

/**
 * @Description : 销售合同结算信息Mapper
 * @Author : L.Jia
 * @Date: 2021-09-14 11:12
 */
@Mapper
public interface SalesContractSettleInfoMapper extends BaseMapper<SalesContractSettleInfo> {

    /**
     * 根据销售合同基础信息Id查询
     *
     * @param basicInfoId
     * @return
     */
    SalesContractSettleInfo findByBasicInfoId(Long basicInfoId);
}
