package com.sunxung.factoring.mapper.sys;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sunxung.factoring.entity.sys.ClientUserDO;
import com.sunxung.factoring.entity.sys.request.ClientUserQueryRequest;
import com.sunxung.factoring.entity.sys.vo.ClientUserCompanyInfoVO;
import com.sunxung.factoring.entity.sys.vo.ClientUserVO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface ClientUserMapper extends BaseMapper<ClientUserDO> {

  List<ClientUserVO> pageList(ClientUserQueryRequest clientUserQueryRequest);

  List<ClientUserCompanyInfoVO> getCompanyByClientUserId(Long userId);
}
