package com.sunxung.factoring.mapper.sys;

import org.apache.ibatis.annotations.Mapper;

import com.sunxung.factoring.entity.sys.LoginLog;
import com.sunxung.factoring.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * @className:LoginLogMapper
 * @description:登录日志Mapper
 * @author:杜小姣
 * @e-mail:1261237207@qq.com
 * @date:2018年1月23日 上午11:36:48
 */
@Mapper
public interface LoginLogMapper extends BaseMapper<LoginLog> {
    LoginLog findLastLogInByUserAndIp(@Param("loginName") String loginName, @Param("clientIP") String clientIP);
}
