package com.sunxung.factoring.mapper.underlying;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sunxung.factoring.entity.underlying.UnderlyingHisInfo;
import org.apache.ibatis.annotations.Mapper;

/**
 * @Description : 底层历史信息Mapper类
 * @Author : L.Jia
 * @Date: 2022-03-04 16:36
 */

@Mapper
public interface UnderlyingHisInfoMapper extends BaseMapper<UnderlyingHisInfo> {

    /**
     * 获取底层详情（历史信息）
     *
     * @param id
     * @return
     */
    UnderlyingHisInfo getDetail(Long id);
}
