package com.sunxung.factoring.service.acceptancesheet;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sunxung.factoring.entity.ResponseJson;
import com.sunxung.factoring.entity.acceptance.AcceptanceSignConfirmation;
import com.sunxung.factoring.entity.acceptance.AcceptanceSignConfirmationHistory;

/**
 * <p>
 * --验收单签署确认表 服务类
 * </p>
 *
 * @author liutao
 * @since 2023-06-07
 */
public interface IAcceptanceSignConfirmationService extends IService<AcceptanceSignConfirmation> {

    /**
     * 查看表单详情
     * @param id
     * @return
     */
    AcceptanceSignConfirmationHistory getView(Long id);

    /**
     * 签署确认流程处理
     */
    ResponseJson handleProcess(AcceptanceSignConfirmation acceptanceSignConfirmation);
}
