package com.sunxung.factoring.service.acceptancesheet.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sunxung.factoring.component.util.ConstantConversionUtil;
import com.sunxung.factoring.component.util.ConstantUtil;
import com.sunxung.factoring.dict.impl.FileModuleDict;
import com.sunxung.factoring.entity.acceptance.AcceptanceApproval;
import com.sunxung.factoring.entity.acceptance.AcceptanceBasicInfo;
import com.sunxung.factoring.entity.acceptance.AcceptanceBusinessApproval;
import com.sunxung.factoring.entity.acceptance.AcceptanceHisInfo;
import com.sunxung.factoring.entity.sys.FileStorage;
import com.sunxung.factoring.entity.sys.FileStorageDO;
import com.sunxung.factoring.mapper.acceptancesheet.AcceptanceApprovalMapper;
import com.sunxung.factoring.mapper.acceptancesheet.AcceptanceBusinessApprovalMapper;
import com.sunxung.factoring.service.acceptancesheet.*;
import com.sunxung.factoring.service.sys.FileService;
import com.sunxung.factoring.service.sys.FileStorageService;
import com.sunxung.factoring.service.sys.ISysAttachmentRefService;
import com.sunxung.factoring.service.sys.dto.AttachmentDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 业务审核-service
 * @author liutao
 * @date 2021.09.27
 */
@Service(value = "business_reviewService")
public class AcceptanceSheetBusinessReviewServiceImpl extends ServiceImpl<AcceptanceBusinessApprovalMapper, AcceptanceBusinessApproval>
    implements AcceptanceSheetBusinessReviewService {



    @Autowired
    private AcceptanceBasicInfoService acceptanceBasicInfoService;

    @Autowired
    private  AcceptanceHisInfoService acceptanceHisInfoService;

    @Autowired
    private ISysAttachmentRefService sysAttachmentRefService;
    @Autowired
    private IAcceptanceSignConfirmationService acceptanceSignConfirmationService;

    @Autowired
    private IAcceptanceSignConfirmationElectronicInfoService acceptanceSignConfirmationElectronicInfoService;

    @Autowired
    private FileStorageService fileStorageService;

    @Autowired
    private FileService fileService;

    @Override
    public AcceptanceBusinessApproval getView(Long acceptanceBusinessApprovalId) {

        AcceptanceBusinessApproval businessApproval = getById(acceptanceBusinessApprovalId);


        return businessApproval;
    }
}
