package com.sunxung.factoring.service.biddingManagement;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sunxung.factoring.entity.biddingManagement.BiddingRefundDepositConfirmation;

/**
 * <p>
 * 招投标管理-保证金退款确认 服务类
 * </p>
 *
 * @author yafan
 * @since 2023-11-21
 */
public interface IBiddingRefundDepositConfirmationService extends IService<BiddingRefundDepositConfirmation> {


    /**
     * 保证金退款确认
     *
     * @param biddingRefundDepositConfirmation
     */
    void add(BiddingRefundDepositConfirmation biddingRefundDepositConfirmation);

    /**
     * 查询信息、用于历史列表展示
     *
     * @param formBusinessId
     * @return
     */
    BiddingRefundDepositConfirmation getView(Long formBusinessId);

}
