package com.sunxung.factoring.service.businessConsulting;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sunxung.factoring.entity.BaseSearch;
import com.sunxung.factoring.entity.GridPage;
import com.sunxung.factoring.entity.businessConsulting.BusinessConsultingDO;
import com.sunxung.factoring.entity.businessConsulting.model.dto.BusinessConsultingDTO;

/**
 * @author liutao
 * @date 2024-03-30
 */
public interface BusinessConsultingService extends IService<BusinessConsultingDO> {

//  /**
//  * 添加操作
//  * @param addBusinessConsultingRequest
//  */
//  void addBusinessConsulting(AddBusinessConsultingRequest addBusinessConsultingRequest);

//
//  /**
//  * 编辑操作
//  * @param editBusinessConsultingRequest
//  */
//  void editBusinessConsulting(EditBusinessConsultingRequest editBusinessConsultingRequest);

    /**
     * 通过id获取详细信息
     *
     * @param id
     */
    BusinessConsultingDTO getBusinessConsultingDtoById(Long id);

    /**
     * 分页查询
     *
     * @param baseSearch
     * @return
     */
    GridPage findAll(BaseSearch baseSearch);
//
//  /**
//  * 删除
//  */
//  void deleteBusinessConsulting(Long id);
}

