package com.sunxung.factoring.service.cashflowmanage.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sunxung.factoring.entity.cashflowmanage.CashFlowManageEntryInfo;
import com.sunxung.factoring.mapper.cashflowmanage.CashFlowManageEntryInfoMapper;
import com.sunxung.factoring.service.cashflowmanage.CashFlowManageEntryInfoService;
import org.springframework.stereotype.Service;

/**
 * @Description : 现金流管理入账信息service实现类
 * @Author : JiaYf
 * @Date: 2021-11-02 18:18
 */
@Service
public class CashFlowManageEntryInfoServiceImpl extends ServiceImpl<CashFlowManageEntryInfoMapper, CashFlowManageEntryInfo>
        implements CashFlowManageEntryInfoService {


    @Override
    public CashFlowManageEntryInfo findByBaseInfo(Long cashFlowManageBaseId) {

        QueryWrapper queryWrapper = new QueryWrapper();
        queryWrapper.eq("cash_flow_manage_basic_info_id", cashFlowManageBaseId);
        return baseMapper.selectOne(queryWrapper);
    }
}
