package com.sunxung.factoring.service.creditresolution;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sunxung.factoring.entity.creditresolution.ReconsiderAdjust;
import com.sunxung.factoring.entity.creditresolution.ReconsiderAdjustApproval;

/**
 * <p>
 * 复议调整审批 服务类
 * </p>
 *
 * @author liutao
 * @since 2023-12-21
 */
public interface IReconsiderAdjustApprovalService extends IService<ReconsiderAdjustApproval> {

    /**
     * 复议调整审批
     * @param approval
     */
    void add(ReconsiderAdjustApproval approval);


    /**
     * 查看表单详情
     * @param id
     * @return
     */
    ReconsiderAdjustApproval getView(Long id);
}
