package com.sunxung.factoring.service.customerinformation.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sunxung.factoring.entity.customerinformation.SupplierBankCardInfo;
import com.sunxung.factoring.mapper.customerinformation.SupplierBankCardInfoMapper;
import com.sunxung.factoring.service.customerinformation.SupplierBankCardInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class SupplierBankCardInfoServiceImpl extends ServiceImpl<SupplierBankCardInfoMapper, SupplierBankCardInfo> implements SupplierBankCardInfoService {

    @Autowired
    private SupplierBankCardInfoMapper supplierBankCardInfoMapper;

    @Override
    public List<SupplierBankCardInfo> findBySupplierId(Long id) {
        return supplierBankCardInfoMapper.selectList(new QueryWrapper<SupplierBankCardInfo>().eq("supplier_id", id).eq("removed",false));
    }
}
