package com.sunxung.factoring.service.financing.apply.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sunxung.factoring.entity.financing.apply.CFinancingBasicInfo;
import com.sunxung.factoring.entity.project.vo.BusinessProcessingTaskVo;
import com.sunxung.factoring.entity.project.vo.SearchBusinessProcessingTask;
import com.sunxung.factoring.mapper.financing.apply.CFinancingBasicInfoMapper;
import com.sunxung.factoring.service.financing.apply.ICFinancingBasicInfoService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 融资申请-基础信息表 服务实现类
 * </p>
 *
 * @author liutao
 * @since 2023-12-19
 */
@Service("financingApplyService")
public class CFinancingBasicInfoServiceImpl extends ServiceImpl<CFinancingBasicInfoMapper, CFinancingBasicInfo>
        implements ICFinancingBasicInfoService {

    @Override
    public CFinancingBasicInfo get(Long id) {
        return baseMapper.getListInfo(id);
    }

    @Override
    public List<BusinessProcessingTaskVo> findAll(SearchBusinessProcessingTask search) {
        return baseMapper.findAll(search);
    }
}
