package com.sunxung.factoring.service.financing.contract;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sunxung.factoring.entity.financing.contract.ElectronicPersonInfo;

/**
 * <p>
 * 个人电子签信息表 服务类
 * </p>
 *
 * @author liutao
 * @since 2022-07-09
 */
public interface IElectronicPersonInfoService extends IService<ElectronicPersonInfo> {
    /**
     * 根据身份证号码查询
     * @return
     */
    ElectronicPersonInfo getBySocialCreditCode(String socialCreditCode);
}
