package com.sunxung.factoring.service.financing.payment;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sunxung.factoring.entity.financing.payment.ExemptionApprovalBusiness;

/**
 * <p>
 * 豁免审批表（业务） 服务类
 * </p>
 *
 * @author liutao
 * @since 2023-04-19
 */
public interface IExemptionApprovalBusinessService extends IService<ExemptionApprovalBusiness> {

    /**
     * 提交审核
     *
     * @param exemptionApprovalBusiness
     */
    void edit(ExemptionApprovalBusiness exemptionApprovalBusiness);

    /**
     * 获取豁免-业务审核详情
     *
     * @param id
     * @return
     */
    ExemptionApprovalBusiness getView(Long id);
}
