package com.sunxung.factoring.service.financing.review;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sunxung.factoring.entity.financing.review.ReviewBasicContract;
import com.sunxung.factoring.entity.financing.review.ReviewQuotaDisburse;

/**
 * @Description : 额度支用-基础交易合同信息Service
 * @Author : L.Jia
 * @Date: 2023-12-15 16:14
 */
public interface ReviewBasicContractService extends IService<ReviewBasicContract> {

    /**
     * 新增基础交易合同信息
     *
     * @param reviewBasicContract 基础交易合同信息实体类
     * @return ReviewBasicContract 基础交易合同信息实体类
     */
    ReviewBasicContract addReviewBasicContract(ReviewBasicContract reviewBasicContract, ReviewQuotaDisburse quotaDisburse);
}
