package com.sunxung.factoring.service.financing.review.impl;


import com.sunxung.factoring.mapper.financing.review.ReviewFixedWithdrawalConditionMapper;
import com.sunxung.factoring.service.financing.review.ReviewFixedWithdrawalConditionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @className:ReviewFixedWithdrawalConditionServiceImpl
 * @description:固定的提款条件Service
 * @author:杜小姣
 * @e-mail:1261237207@qq.com
 * @date:2018年7月30日 下午4:15:55
 */
@Service
public class ReviewFixedWithdrawalConditionServiceImpl implements ReviewFixedWithdrawalConditionService {

    @Autowired
    private ReviewFixedWithdrawalConditionMapper reviewFixedWithdrawalConditionMapper;

    @Override
    public List<String> findByConditionType(String conditionType) {
        return reviewFixedWithdrawalConditionMapper.findByConditionType(conditionType);
    }
}
