package com.sunxung.factoring.service.fundmanagement.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sunxung.factoring.entity.fundmanagement.FinancialCustomerExpenditureApprovalInfo;
import com.sunxung.factoring.mapper.fundmanagement.FinancialCustomerExpenditureApprovalInfoMapper;
import com.sunxung.factoring.service.fundmanagement.FinancialCustomerExpenditureApprovalInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @Description :
 * @Author : L.Jia
 * @Date: 2023-02-28 09:22
 */
@Service("financial_customer_expenditure_approvalService")
public class FinancialCustomerExpenditureApprovalInfoServiceImpl extends ServiceImpl<FinancialCustomerExpenditureApprovalInfoMapper, FinancialCustomerExpenditureApprovalInfo>
        implements FinancialCustomerExpenditureApprovalInfoService {

    @Autowired
    private FinancialCustomerExpenditureApprovalInfoMapper mapper;

    @Override
    public FinancialCustomerExpenditureApprovalInfo getView(Long id) {
        return mapper.selectById(id);
    }
}
