package com.sunxung.factoring.service.ledger.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sunxung.factoring.entity.ledger.LedgerApprovalInfo;
import com.sunxung.factoring.mapper.ledger.LedgerApprovalInfoMapper;
import com.sunxung.factoring.service.ledger.ILedgerApprovalInfoService;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 分账管理-分账审批表 服务实现类
 * </p>
 *
 * @author liutao
 * @since 2024-04-25
 */
@Service("ledger_approvalService")
public class LedgerApprovalInfoServiceImpl extends ServiceImpl<LedgerApprovalInfoMapper, LedgerApprovalInfo>
        implements ILedgerApprovalInfoService {

    @Override
    public LedgerApprovalInfo getView(Long id) {
        return getById(id);
    }
}
