package com.sunxung.factoring.service.project;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sunxung.factoring.entity.project.ProjectCoreEnterpriseAudit;
import com.sunxung.factoring.entity.project.ProjectCoreEnterpriseComprehensiveEvaluation;

/**
 * <p>
 * 项目核心企业审核 服务类
 * </p>
 *
 * @author liutao
 * @since 2023-12-15
 */
public interface IProjectCoreEnterpriseAuditService extends IService<ProjectCoreEnterpriseAudit> {

    /**
     * 获取项目核心企业审核信息
     * @param id
     * @return
     */
    ProjectCoreEnterpriseAudit getProjectCoreEnterpriseAuditInfo(Long id);

    /**
     * 保存项目核心企业审核信息
     * @param projectCoreEnterpriseAuditInfo
     */
    void addProjectCoreEnterpriseAuditInfo(ProjectCoreEnterpriseAudit projectCoreEnterpriseAuditInfo);

    /**
     * 查看表单详情
     * @param id
     * @return
     */
    ProjectCoreEnterpriseAudit getView(Long id);

    /**
     * 一键测算
     * @param projectCoreEnterpriseAuditInfo
     * @return
     */
    ProjectCoreEnterpriseComprehensiveEvaluation measurement(Long projectCoreEnterpriseAuditId,ProjectCoreEnterpriseAudit projectCoreEnterpriseAuditInfo);
}
