package com.sunxung.factoring.service.purchcontractmanagement;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sunxung.factoring.entity.purchcontractmanagement.PurchContractSupplementApproval;
import com.sunxung.factoring.entity.sys.FileStorage;
import org.springframework.ui.Model;

/**
 * <p>
 * 采购合同-变更审核表 服务类
 * </p>
 *
 * @author daxian
 * @since 2022-03-14
 */
public interface IPurchContractSupplementApprovalService extends IService<PurchContractSupplementApproval> {
    /**
     * 查询信息、用于历史列表展示
     *
     * @param id
     * @return
     */
    PurchContractSupplementApproval getView(Long id);

    void doAudit(PurchContractSupplementApproval approval, Long businessKey, String taskId);

    PurchContractSupplementApproval approval(Long businessKey);
}
