package com.sunxung.factoring.service.purchcontractmanagement;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sunxung.factoring.entity.purchcontractmanagement.*;
import com.sunxung.factoring.entity.tradingPlatform.Platform;

import java.io.File;
import java.io.IOException;
import java.util.Date;

/**
 * <p>
 * 采购合同-补充电子合同信息表 服务类
 * </p>
 *
 * @author daxian
 * @since 2022-03-14
 */
public interface IPurchContractSupplementElectronicInfoService extends IService<PurchContractSupplementElectronicInfo> {

    PurchContractSupplementElectronicInfo getView(Long id);

//    PurchSupplementContractSignConclusion getViewNew(Long id);

    File makePurchContractDocx(PurchContractManagement purchContractManagement, PurchContractBasicInfo purchContractBasicInfo,
                               Platform platform, PurchContractSupplementInfo supplementInfo,
                               PurchContractSupplementApproval purchContractSupplementApproval) throws IOException;

    void updateShortUrl(Date date);
}
