package com.sunxung.factoring.service.purchcontractmanagement;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sunxung.factoring.entity.purchcontractmanagement.PurchContractPriceRule;

/**
 * @Description : 采购合同价格规则service
 * @Author : JiaYf
 * @Date: 2021-09-15 14:35
 */
public interface PurchContractPriceRuleService extends IService<PurchContractPriceRule> {

    /**
     * 根据采购合同基础信息获取
     * @param purchContId
     * @return
     */
    PurchContractPriceRule findByPurchContId(Long purchContId);

}
