package com.sunxung.factoring.service.purchcontractmanagement;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sunxung.factoring.entity.purchcontractmanagement.PurchContractPunishClause;

/**
 * @Description : 采购合同违约条款service
 * @Author : JiaYf
 * @Date: 2021-09-17 19:03
 */
public interface PurchContractPunishClauseService extends IService<PurchContractPunishClause> {
    /**
     * 根据采购合同审核表ID获取
     *
     * @param id
     * @return
     */
    PurchContractPunishClause findByPurchContApprId(Long id);

}
