package com.sunxung.factoring.service.purchcontractmanagement;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sunxung.factoring.entity.purchcontractmanagement.PurchContractRetentionInfo;

/**
 * @Description : 采购合同质保金信息service
 * @Author : JiaYf
 * @Date: 2021-09-15 14:37
 */
public interface PurchContractRetentionInfoService extends IService<PurchContractRetentionInfo> {

    /**
     * 根据采购合同基础信息获取
     * @param purchContId
     * @return
     */
    PurchContractRetentionInfo findByPurchContId(Long purchContId);

}
