package com.sunxung.factoring.service.purchcontractmanagement.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sunxung.factoring.entity.purchcontractmanagement.PurchContractSellerBlame;
import com.sunxung.factoring.mapper.purchcontractmanagement.PurchContractSellerBlameMapper;
import com.sunxung.factoring.service.purchcontractmanagement.PurchContractSellerBlameService;
import org.springframework.stereotype.Service;

/**
 * @Description : 采购合同供货商责任service实现类
 * @Author : JiaYf
 * @Date: 2021-09-17 19:16
 */
@Service
public class PurchContractSellerBlameServiceImpl extends ServiceImpl<PurchContractSellerBlameMapper, PurchContractSellerBlame>
        implements PurchContractSellerBlameService {
    @Override
    public PurchContractSellerBlame findByPurchContApprId(Long id) {
        QueryWrapper queryWrapper = new QueryWrapper();
        queryWrapper.eq("purch_contract_basic_info_id", id);
        return baseMapper.selectOne(queryWrapper);
    }

}
