package com.sunxung.factoring.service.purchcontractmanagement.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sunxung.factoring.entity.purchcontractmanagement.PurchContractSettleCycle;
import com.sunxung.factoring.mapper.purchcontractmanagement.PurchContractSettleCycleMapper;
import com.sunxung.factoring.service.purchcontractmanagement.PurchContractSettleCycleService;
import org.springframework.stereotype.Service;

/**
 * @Description : 采购合同结算周期service实现类
 * @Author : JiaYf
 * @Date: 2021-09-15 14:46
 */
@Service
public class PurchContractSettleCycleServiceImpl extends ServiceImpl<PurchContractSettleCycleMapper, PurchContractSettleCycle>
        implements PurchContractSettleCycleService {

    @Override
    public PurchContractSettleCycle findByPurchContId(Long purchContId) {

        return baseMapper.findByPurchContId(purchContId);
    }
}
