package com.sunxung.factoring.service.refundsManagement;

import com.sunxung.factoring.entity.cashflowmanage.sop.BillingNonbusinessManageFactoringentry;
import com.sunxung.factoring.entity.refundsManagement.RefundManagementApproval;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 退款管理审批表 服务类
 * </p>
 *
 * @author yafan
 * @since 2024-03-11
 */
public interface IRefundManagementApprovalService extends IService<RefundManagementApproval> {

    /**
     * 审核提交
     * @param approval
     */
    void doEdit(RefundManagementApproval approval);

    /**
     * 查询历史
     * @param id
     * @return
     */
    RefundManagementApproval getView(Long id);

    /**
     * sop OA流程结束 推送结果
     * @param id
     */
    void handleApprovalProcess(Long id);

    /**
     * sop向现金流补充数据
     * @param nobusinessManage
     */
    void handleCashFlow(BillingNonbusinessManageFactoringentry nobusinessManage);

}
