package com.sunxung.factoring.service.salescontractmanagement;

import com.sunxung.factoring.entity.ResponseJson;
import com.sunxung.factoring.entity.purchcontractmanagement.vo.PurchContractVo;
import com.sunxung.factoring.entity.salescontractmanagement.CSalesContract;
import com.sunxung.factoring.entity.salescontractmanagement.CSalesContractBasicInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.sunxung.factoring.entity.salescontractmanagement.SalesContractBasicInfoHistory;
import com.sunxung.factoring.entity.salescontractmanagement.vo.SalesContractVo;

/**
 * <p>
 * 销售合同-基本信息表 服务类
 * </p>
 *
 * @author yafan
 * @since 2023-12-09
 */
public interface ICSalesContractBasicInfoService extends IService<CSalesContractBasicInfo> {

    /**
     * 查询信息、用于历史列表展示
     *
     * @param id
     * @return
     */
    SalesContractBasicInfoHistory getView(Long id);

    /**
     * 销售合同信息录入
     *
     * @param salesContractBasicInfo
     */
    void add(CSalesContractBasicInfo salesContractBasicInfo);

}
