package com.sunxung.factoring.service.settlement;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sunxung.factoring.entity.settlement.SettlementElectronicInfo;

import java.util.Date;

/**
 * @author liutao
 * @date 2022.3.16
 */
public interface SettlementElectronicInfoService extends IService<SettlementElectronicInfo> {
    /**
     * 签署成功回调的后续操作
     * @param settlementElectronicInfo
     * @param taskId
     */
    void sign(SettlementElectronicInfo settlementElectronicInfo, String taskId);

    void updateShortUrl(Date date);
}
