package com.sunxung.factoring.service.supplier;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sunxung.factoring.entity.supplier.DueDiligenceAllocation;
import com.sunxung.factoring.entity.supplier.SupplierInfo;

/**
 * <p>
 * 项目分配 服务类
 * </p>
 *
 * @author liutao
 * @since 2023-12-04
 */
public interface IDueDiligenceAllocationService extends IService<DueDiligenceAllocation> {

    /**
     * 尽调分配
     * @param dueDiligenceAllocation
     */
    String addInfo(DueDiligenceAllocation dueDiligenceAllocation, SupplierInfo supplierInfo);

    /**
     * 查看审核详情
     * @param id
     * @return
     */
    DueDiligenceAllocation getView(Long id);

    /**
     * 获取尽调分配信息
     * @param id
     * @return
     */
    DueDiligenceAllocation getDueDiligenceAllocation(Long id);
}
