package com.sunxung.factoring.service.supplier;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sunxung.factoring.entity.supplier.CSupplierInfoHistory;
import com.sunxung.factoring.entity.supplier.SupplierApprovalFirst;
import com.sunxung.factoring.entity.supplier.SupplierInfo;

/**
 * <p>
 * 供应商审核第一步 综合评估 服务类
 * </p>
 *
 * @author liutao
 * @since 2023-12-05
 */
public interface ISupplierApprovalFirstService extends IService<SupplierApprovalFirst> {

    /**
     * 获取审核第一步的信息
     * @param id
     * @return
     */
    SupplierInfo getFirstReviewById(Long id);

    /**
     * 第一次审核接口
     * @param supplierInfo
     */
    void firstReview(SupplierInfo supplierInfo);

    /**
     * 查看表单详情
     * @param id
     * @return
     */
    SupplierInfo getView(Long id);

    /**
     * 一键测算
     * @param supplierInfo
     */
    SupplierApprovalFirst measurement(SupplierInfo supplierInfo);
}
