package com.sunxung.factoring.service.supplier;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sunxung.factoring.entity.supplier.VideoDueDiligence;

/**
 * <p>
 * 视频尽调 服务类
 * </p>
 *
 * @author liutao
 * @since 2023-12-09
 */
public interface IVideoDueDiligenceService extends IService<VideoDueDiligence> {

    /**
     * 获取视频尽调信息
     * @param supplierId
     * @return
     */
    VideoDueDiligence getVideoDueDiligence(Long supplierId);

    /**
     * 视频尽调录入
     * @param videoDueDiligence
     */
    void videoDueDiligence(VideoDueDiligence videoDueDiligence);

    /**
     * 查看审核详情
     * @param id
     * @return
     */
    VideoDueDiligence getView(Long id);

    /**
     * 视频尽调测算打分
     * @param videoDueDiligence
     * @return
     */
    VideoDueDiligence measurement(VideoDueDiligence videoDueDiligence);

}
