package com.sunxung.factoring.web.acceptancesheet;

import com.sunxung.factoring.entity.ResponseJson;
import com.sunxung.factoring.entity.acceptance.AcceptancePriceAdjustApprovalInfo;
import com.sunxung.factoring.service.acceptancesheet.IAcceptancePriceAdjustApprovalInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

/**
 * @Description 验收单单价调整Controller
 * @Author Yafan Wang
 * @Date 2023/12/25 16:33
 */
@Controller
@RequestMapping("/acceptancePriceAdjust")
public class AcceptancePriceAdjustController {

    @Autowired
    private IAcceptancePriceAdjustApprovalInfoService acceptancePriceAdjustApprovalInfoService;

    @RequestMapping("doApproval")
    @ResponseBody
    public ResponseJson startProcess(AcceptancePriceAdjustApprovalInfo adjustApprovalInfo) {
        acceptancePriceAdjustApprovalInfoService.apprval(adjustApprovalInfo);
        return new ResponseJson("操作成功！");
    }


}
