package com.sunxung.factoring.web.bocom;

import com.sunxung.factoring.entity.ResponseJson;
import com.sunxung.factoring.service.bocom.vipaccount.IBocomVipAccountBasicInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description 交行通知Controller
 * @Author Yafan Wang
 * @Date 2024/8/21 15:35
 */
@RestController
public class BocomNoticeController {

    @Autowired
    private IBocomVipAccountBasicInfoService bocomVipAccountBasicInfoService;

    /**
     * 通知接口
     *
     * @param body
     * @return
     */
    @PostMapping("api/bocom/notice")
    public String notice(@RequestBody String body) {
        return bocomVipAccountBasicInfoService.notice(body);
    }


}
