var xmSelectDom = null
var xmSelectList = []
$('[name=steelWaiter]').on('change', function () {
    if($('[name=steelWaiter]:checked').val() === '1') {
        $('.steelWaiterChange').show()
    }else {
        $('.steelWaiterChange').hide()
    }
})

// 附件相关dom
var fileWrapperbasic = '<div class="file-wrapper"><div class="file-icon" style="color: #5AC4FC;"><div class="file-icon-image"></div></div>'+
'<div class="content"><div class="file-name"></div><div class="file-size small text-muted"></div></div>'+
'<div class="actions" style="width:0.5rem"><a class="btn btn-link btn-delete-file">'+
'<em>删除</em><i class="operateIconfont operateIcon-shanchu"></i></a></div></div>';

// 展示原先有的附件
function showOriginalFile(source, insert) {
    for (var j = 0; j < $(source).length; j++) {
        var originalFileWrapper = $(fileWrapperbasic).clone();
        originalFileWrapper.find('.file-name').text($(source).eq(j).find('.originalName').val());
        originalFileWrapper.find('.file-name').attr('originalid', $(source).eq(j).find('.originalId').val());
        if (parseFloat($(source).eq(j).find('.originalSize').val()) < 1048576) {
            originalFileWrapper.find('.file-size').text(($(source).eq(j).find('.originalSize').val() / 1024).toFixed(2) + "KB");
        } else {
            originalFileWrapper.find('.file-size').text(($(source).eq(j).find('.originalSize').val() / 1024 / 1024).toFixed(2) + "MB");
        }
        ;
        var originaltype = $(source).eq(j).find('.originalType').val().toUpperCase();
        if (originaltype == '.JPG' || originaltype == '.JPEG' || originaltype == '.PNG' || originaltype == '.BMP') {
            originalFileWrapper.find('.file-icon-image').css('background-image', 'url(' + $(source).eq(j).find('.originalUrl').val() + ')');
        } else {
            originalFileWrapper.find('.file-icon-image').append('<i class="icon icon-file-pdf"></i>');
        }
        ;
        originalFileWrapper.find('.btn-delete-file').addClass('btn-delete-originalfile').removeClass("btn-delete-file");

        originalFileWrapper.find('.btn-yulan-file').attr('href', '/fileStorage/preview?fileId=' + $(source).eq(j).find('.originalId').val());
        originalFileWrapper.find('.btn-xiazai-file').attr('href', '/fileStorage/downloadFile?fileId=' + $(source).eq(j).find('.originalId').val());
        $(insert).find('.fileContent').append(originalFileWrapper)
    }
    ;
    j = null;
    if ($(insert).find('.file-wrapper').length > 0) {
        $(insert).find('.spanHolder').remove();
    }
    ;
};

    // 排序-货物
function sortIGoodsnfo(){
    var totalNum = 0;
    var totalPrice = 0;
    $(".goodsListTbody").each(function(i,ele){
        $(ele).find('td:first span').text(i);
        totalNum += Number($(ele).find('td').eq(6).find('input').val().split(',').join(''))
        totalPrice += Number($(ele).find('td').eq(6).find('input').val() * $(ele).find('td').eq(7).find('input').val())
    });
    if( $(".goodsListTbody").length <= 1 ){
        $('.goodsTable .negativeInformationReduce').hide();
    }else{
        $('.goodsTable .negativeInformationReduce').show();
    };
    if(totalNum!== 'null') {
        $('.totalNum').text(commaDelimiter((Math.round(totalNum*10000)/10000).toFixed(4)))
    }else {
        $('.totalNum').text('0.0000')
    }
    if(totalPrice!== 'null') {
        $('.totalPrice').text(commaDelimiter((Math.round(totalPrice*10000)/10000).toFixed(2)))
    }else {
        $('.totalPrice').text('0.00')
    }
};

function getSalesOrderGoods() {
    var postdata = new FormData()
    if(!xmSelectList.length) {
        $('.goodsListTable').children().remove()
        sortIGoodsnfo()
        return
    }
    for (let i = 0; i < xmSelectList.length; i++) {
        const { name } = xmSelectList[i];
        postdata.append(`billNumbers[${i}]`, name);
    }
    postdata.append('companyName', $("[name=supplierNameName]").val())
    $.ajax({
        url:'/steel/waiter/goods',
        type:'post',
        data:postdata,
        processData:false,
        contentType:false,
        success:function(data){
            if( data.success ){
                $('.goodsListTable').children().remove()
                for (let n=0; n < data.data.length; n++) {
                    let supplierTrClone1 = $(".goodsListTbody:first").clone();
                    supplierTrClone1.show();
                    supplierTrClone1.find('td').eq(1).find('input').val(data.data[n].goodsName)
                    supplierTrClone1.find('td').eq(2).find('input').val(data.data[n].goodsMaterial)
                    supplierTrClone1.find('td').eq(3).find('input').val(data.data[n].goodsType)
                    supplierTrClone1.find('td').eq(4).find('input').val(data.data[n].goodsFactory)
                    supplierTrClone1.find('td').eq(5).find('input').val(data.data[n].goodsUnit)
                    supplierTrClone1.find('td').eq(6).find('input').val((data.data[n].goodsQuantity ? data.data[n].goodsQuantity : 0).toFixed(4))
                    supplierTrClone1.find('td').eq(7).find('input').val((data.data[n].salesPrice ? data.data[n].salesPrice : 0).toFixed(2))
                    supplierTrClone1.find('td').eq(8).find('input').val(data.data[n].acceptanceDate)
                    // supplierTrClone1.find('td').eq(8).find('input').val(data.data[n].remark)
                    supplierTrClone1.find('.error').hide();
                    $('.goodsListTable').append(supplierTrClone1);
                    $(".fileGoodsInput").val('')
                }
                sortIGoodsnfo();
            }else{
                new $.zui.Messager('获取销售单号货物发生错误:'+data.msg, {
                    type: 'danger'
                }).show();
            }
        }
    });
}

function getSalesOrderFlies() {
    var postdata = new FormData()
    if(!xmSelectList.length) {
        $("#entryForm .btn-delete-file").click()
        $("#entryForm .btn-delete-originalfile").click()
        return
    }
    for (let i = 0; i < xmSelectList.length; i++) {
        const { name } = xmSelectList[i];
        postdata.append(`billNumbers[${i}]`, name);
    }
    postdata.append('companyName', $("[name=supplierNameName]").val())
    $.ajax({
        url:'/steel/waiter/file',
        type:'post',
        data:postdata,
        processData:false,
        contentType:false,
        success:function(data){
            if( data.success ){
                $("#entryForm .btn-delete-file").click()
                $("#entryForm .btn-delete-originalfile").click()
                let str = ''
                data.data.forEach(item => {
                    str += `<div style="display:none">
                        <input type="text" class="originalId" value="${item.id}">
                        <input type="text" class="originalUrl" value="${item.path}">
                        <input type="text" class="originalType" value="${item.fileType}">
                        <input type="text" class="originalName" value="${item.originalName}">
                        <input type="text" class="originalSize" value="${item.size}">
                    </div>
                    `
                })
                showOriginalFile(str, '.fileStorage .addFileList');
            }else{
                new $.zui.Messager('获取销售单号附件发生错误:'+data.msg, {
                    type: 'danger'
                }).show();
            }
        }
    });
}

function getSalesOrderNumber (val) {
    return new Promise((resolve, reject) => {
        $.ajax({
            url:'/steel/waiter/billNumbers',
            type:'get',
            data:{
                'supplierName': $("[name=supplierNameName]").val(),
                'keyword': val,
            },
            success:function(data){
                if(data.data){
                    resolve(data.data)
                }else{
                    new $.zui.Messager('获取销售单号发生错误:'+data.msg, {
                        type: 'danger'
                    }).show();
                    reject()
                    return false;
                }
            }
        })
    })
}

function initSelect(dom, initValue = [], times) {
    setTimeout(() => {
       xmSelectDom = xmSelect.render({
           el: dom,
           disabled: false,
           checkbox: true,
           initValue,
           filterable: true,
           remoteSearch: true,
           remoteMethod: function(val, cb){
               cb([])
               if(!$("[name=supplierName]").val()) {
                   return
               }
               getSalesOrderNumber(val).then(data => {
                   if(data) {
                       const list = data.map(item => {
                           return { name: item }
                       })
                       cb(list)
                   }else {
                       cb([])
                   }
               })
           },
           prop: { name: 'name', value: 'name' },
           height: '200px',
           tips: '请选择销售单号',
           theme: {
               color: '#54c3fe'
           },
           data: function () {
               return []
           },
           on: function (data) {
                let arr = data.arr; //arr:  当前多选已选中的数据
                xmSelectList = arr
                console.log(times, 8888)
                if(times !== '1') {
                    getSalesOrderGoods()
                    getSalesOrderFlies()
                }else {
                    setTimeout(() => {
                        times = '0'
                    }, 1000);

                }
           }
       })
   }, 100);
}

function exportFiles(res, name) {
    if (!res) return
    const url = window.URL.createObjectURL(new Blob([res], {type: "application/vnd.ms-excel;charset=UTF-8"}))
    const link = document.createElement('a')
    link.style.display = 'none'
    link.href = url
    // 获取文件的名字
    var newName = ''
    link.setAttribute(
      'download',
      name || newName
    )
    document.body.appendChild(link)
    link.click()
    document.body.removeChild(link)
}

$('#downloadFoods').on('click', function () {
    var postdata = new FormData();
    //货物信息
    for(let i=1; i<$(".goodsListTbody").length; i++) {
        postdata.append('goodsInfoList['+(i-1)+'].serialNumber',i);
        postdata.append('goodsInfoList['+(i-1)+'].goodsName',$(".goodsListTbody").eq(i).find('td').eq(1).find('input').val());
        postdata.append('goodsInfoList['+(i-1)+'].goodsMaterial',$(".goodsListTbody").eq(i).find('td').eq(2).find('input').val());
        postdata.append('goodsInfoList['+(i-1)+'].goodsType',$(".goodsListTbody").eq(i).find('td').eq(3).find('input').val());
        postdata.append('goodsInfoList['+(i-1)+'].goodsFactory',$(".goodsListTbody").eq(i).find('td').eq(4).find('input').val());

        postdata.append('goodsInfoList['+(i-1)+'].goodsUnit',$(".goodsListTbody").eq(i).find('td').eq(5).find('input').val());
        postdata.append('goodsInfoList['+(i-1)+'].goodsQuantity',$(".goodsListTbody").eq(i).find('td').eq(6).find('input').val().split(",").join(''));
        postdata.append('goodsInfoList['+(i-1)+'].salesPrice',$(".goodsListTbody").eq(i).find('td').eq(7).find('input').val().split(",").join(''));
        postdata.append('goodsInfoList['+(i-1)+'].acceptanceDate',$(".goodsListTbody").eq(i).find('td').eq(8).find('input').val().split(",").join(''));
    }

    const xhr = new XMLHttpRequest();
    xhr.open( 'POST', '/acceptance/downloadGoodsInfos', true);
    xhr.responseType = 'blob'; //必须设置返回blob类型
    xhr.onreadystatechange = function() {
        const status = xhr.status;
        if (xhr.readyState === 4) {
            if (status === 200 || status === 0) {
                const blob = xhr.response;
                exportFiles(blob, '货物.xlsx')
            } else {
            }
        }
    };
    xhr.onerror = function(e) {
        reject(e.target.response);
    };
    xhr.send(postdata);
})


function chooseGoods(id) {
    var chooseData = $('#chooseGoodsList').jqGrid('getRowData',id);
    var trStr = `<tr class="choosedGoodsTbody">
                        <td width="5%" style="background-color:#fff;border-bottom: 1px solid #E8F0F3;"></td>
                        <td width="14%" style="background-color:#fff;border-bottom: 1px solid #E8F0F3;">`+chooseData.goodsName+`</td>
                        <td width="14%" style="background-color:#fff;border-bottom: 1px solid #E8F0F3;">`+chooseData.goodsFactory+`</td>
                        <td width="14%" style="background-color:#fff;border-bottom: 1px solid #E8F0F3;">`+chooseData.goodsType+`</td>
                        <td width="13%" style="background-color:#fff;border-bottom: 1px solid #E8F0F3;">`+chooseData.goodsUnit+`</td>
                        <td width="13%" style="background-color:#fff;border-bottom: 1px solid #E8F0F3;">`+chooseData.goodsNum+`</td>
                        <td width="13%" style="background-color:#fff;border-bottom: 1px solid #E8F0F3;">`+chooseData.salesPrice+`</td>
                        <td style="display: none">`+chooseData.id+`</td>
                        <td style="display: none" class="salesContractGoodsId">`+chooseData.salesContractGoodsId+`</td>
                        <td style="display: none" class="purchContractNumber">`+chooseData.purchContractNumber+`</td>
                        <td width="10%" style="background-color:#fff;border-bottom: 1px solid #E8F0F3;border-right: 1px solid #E8F0F3;"><span class="relaseGoods" style="color: #5AC4FC;cursor: pointer">释放</span></td>
                    </tr>`
    $(".choosedGoodsList").append(trStr);
    $("#myModal-chooseGoods").resize();
    sortChooseGoodsInfo();
}

// base64
function dataURLtoBlob(dataurl) {
    var arr = dataurl.split(','), mime = arr[0].match(/:(.*?);/)[1],
        bstr = atob(arr[1]), n = bstr.length, u8arr = new Uint8Array(n);
    while (n--) {
        u8arr[n] = bstr.charCodeAt(n);
    }
    return new Blob([u8arr], { type: mime });
}

function downloadFile(url,name='What\'s the fuvk'){
    var a = document.createElement("a")
    a.setAttribute("href",url)
    a.setAttribute("download",name)
    a.setAttribute("target","_blank")
    let clickEvent = document.createEvent("MouseEvents");
    clickEvent.initEvent("click", true, true);
    a.dispatchEvent(clickEvent);
}

function downloadFileByBase64(base64,name){
    var myBlob = dataURLtoBlob(base64)
    var myUrl = URL.createObjectURL(myBlob)
    downloadFile(myUrl,name)
}

//  获取核心企业
function getLocalUserCustomers(type) {
    var postdata = new FormData();
    $("[name=enterpriseName]").val('')
    $("[name=enterpriseName]").children().remove()
    $("[name=businessNo]").children().val('')
    $("[name=businessNo]").children().remove()
    $("[name=platform]").val('')

    postdata.append('supplierId', $("[name=supplierName]").val())
    $.ajax({
        url:'/customer/getLocalUserCustomers',
        type:'post',
        data:postdata,
        processData:false,
        contentType:false,
        success:function(data){
            var str = ''
            var list = data.data
            for (var i = 0; i < list.length; i++) {
                str += `<option value ="${list[i].id}"  th:selected="acceptanceBasicInfo.customer.id==customer?.id">${list[i].enterpriseName}</option>`
            }
            $("[name=enterpriseName]").append(str)
            $("[name=businessNo]").val('')
            var supplierNameValue = $("[name=enterpriseNameHidden]").val()
            if(type === 'edit') {
                $("[name=enterpriseName]").val(supplierNameValue)
                getLocalUserBusinessList('edit')
            }
        },
        error:function(status){
            console.log(status, '获取核心企业名称失败')
        }
    });
}

// 获取业务编号
function getLocalUserBusinessList(type) {
    if(!$("[name=enterpriseName]").val()) {
        return
    }
    $("[name=businessNo]").val('')
    $("[name=businessNo]").children().remove()
    $("[name=platform]").val('')
    var postdata = new FormData();
    postdata.append('supplierId', $("[name=supplierName]").val())
    postdata.append('customerId', $("[name=enterpriseName]").val())
    $.ajax({
        url: '/business/management/getLocalUserBusinessList',
        type: 'post',
        data: postdata,
        processData: false,
        contentType: false,
        success: function(data){
            var str = ''
            var list = data.data
            for (var i = 0; i < list.length; i++) {
                str += `<option value ="${list[i].businessNumber}">${list[i].businessNumber}</option>`
            }
            $("[name=businessNo]").append(str)
            if(type === 'edit') {
                var supplierNameValue = $("[name=businessNoHidden]").val()
                if(type === 'edit') {
                    $("[name=businessNo]").val(supplierNameValue)
                    getPlateformByBusiness()
                }
            }
        },
        error: function(status){
            console.log(status, '获取核心企业名称失败')
        }
    });
}

// 获取贸易平台
function getPlateformByBusiness() {
    if(!$("[name=businessNo]").val()) {
        return
    }
    $("[name=platformName]").val('')
    $("[name=tradingPlatformId]").val('')
    var postdata = new FormData();
    postdata.append('businessNumber', $("[name=businessNo]").val())
    $.ajax({
        url: '/platform/getPlateformByBusiness',
        type: 'post',
        data: postdata,
        processData: false,
        contentType: false,
        success: function(data){
            $("[name=platformName]").val(data.data.platformName)
            $("[name=tradingPlatformId]").val(data.data.id)
        },
        error: function(status){
            console.log(status, '获取核心企业名称失败')
        }
    });
}

//签署确认为是展示特别说明，为否时展示下游验收货物信息
$('[name=sign]').on('change', function() {
    if($('[name=sign]:checked').val() == 1) {
        $('.specification').show()
        $('.cargoInformation').hide()
        $('.downLoad').hide()
        $('[name=approvalComment]').val(
            `   签署人为：人员信息中的验收经办人(核心企业)；
   签署文件为：下游验收单文件。`)
    $('.personalListTable tr').each(function(i,ele) {
        if($(ele).find('.type').val() == '验收经办人（核心企业）') {
            $(ele).find('[name=radio]').show()
        }
    })
    }else if($('[name=sign]:checked').val() == 0) {
        $('.specification').hide()
        $('.cargoInformation').show()
        $('.downLoad').show()
        $('.personalListTable tr').each(function(i,ele) {
            $(ele).find('[name=radio]').hide()
        })
    }else if($('[name=sign]:checked').val() == undefined) {
        $('.cargoInformation').hide()
        $('.downLoad').hide()
    }
})
$('[name=sign]').change()

//人员信息操作回显
let signer = $('.personalListTbodyBack').attr('signer')
$('.personalListTable tr').each(function(i,ele) {
    $(ele).find('input[id='+signer+']').prop('checked',true);
})

//paixu
function sortChooseGoodsInfo() {
    $(".choosedGoodsTbody").each(function(i,ele){
        $(ele).find('td:first').text(i+1);
    });
}



$(function () {
    const sellBillNumberList = []
    $('.sellBillNumberList').each(function (index, item) {
        sellBillNumberList.push({ name:  $(this).find('input').val() })
    })
    console.log(sellBillNumberList)
    initSelect('.selectDemo', sellBillNumberList, '1')
    $('[name=steelWaiter]').change()
    //初始化日期
    function setDate(select,startDate,endDate){
        $(select).datetimepicker(
            {
                weekStart: 1,
                autoclose: 1,
                todayHighlight: 0,
                startView: 2,
                minView: 2,
                forceParse: 0,
                showMeridian: 1,
                startDate:startDate,
                endDate:endDate,
                format: "yyyy-mm-dd"
            }
        );
        $(select).datetimepicker('setStartDate',startDate);
        $(select).datetimepicker('setEndDate',endDate);
    };
    setDate('[name=expectedSettlementDate]','1970-01-01','2116-12-31');



    // 在附件元素的data上存放选择的附件数据,初始为空
    $('.addFileList').each(function(i,ele){
        $(ele).data('filearray',[]);
        $(ele).data('deletefileid',[]);
    });


    // 展示原附件
    showOriginalFile('.fileStorage .fileInfoListOriginal', '.fileStorage .addFileList');

    if($(".supplementFiles .fileInfoListOriginal")) {
        showOriginalFile('.supplementFiles .fileInfoListOriginal', '.supplementFiles .addFileList');
    }

    // 触发选择附件
    $('#entryForm').on("click",".fileInfoListBox .choiceFile",function(){
        if ( !window.FileReader ) {
            new $.zui.Messager('您的浏览器版本过低，请升级您的浏览器', {
                type: 'danger'
            }).show();
            return;
        };
        $(this).parent().find('.fileinput').click();
    });

    // 触发选择附件
    $('#entryForm').on("click",".fileInfoListBox .fileContent",function(){
        if ( !window.FileReader ) {
            new $.zui.Messager('您的浏览器版本过低，请升级您的浏览器', {
                type: 'danger'
            }).show();
            return;
        };
        if( $(this).find(".spanHolder").length>0 ){
            $(this).parent().prev().click();
        };
    });

    // 选择附件
    $("#entryForm").on("change",".fileInfoListBox .fileinput",function(e){
        var that = $(this);
        if(that.val() == '') {
            $(".addFileList .error").addClass('shows').show();
        }else {
            $(".addFileList .error").removeClass('shows').hide();
        }
        var choosefiles = e.target.files || e.dataTransfer.files;
        for( var i=0;i<choosefiles.length;i++ ){
            var file = e.target.files[i] || e.dataTransfer.files[i];//用于提交
            $(this).parent().data('filearray').push(file);
            fileWrapper = $(fileWrapperbasic).clone();
            var type = file.type;
            var indexof = type.indexOf("/"),fileType='';
            if( indexof != -1 ){
                var index = parseInt(indexof)+1;
                fileType = type.substring(index,type.length).toUpperCase();
            };
            fileWrapper.find('.file-name').text(file.name);
            if( parseFloat(file.size) < 1048576 ){
                fileWrapper.find('.file-size').text((file.size/1024).toFixed(2)+'KB');
            }else{
                fileWrapper.find('.file-size').text((file.size/1024/1024).toFixed(2)+'MB');
            };
            that.next().find(".fileContent").append(fileWrapper);
            // 有附件时去掉框框里的'上传附件'字样
            if( that.next().find('.file-wrapper').length>0 ){
                that.next().find('.spanHolder').remove();
            };
            detailpreview(fileType,fileWrapper,file);
        };
        i = null;
        function detailpreview(fileType,fileWrapper,file){
            var reader = new FileReader();
            reader.readAsDataURL(file);//转为base64(预览)
            reader.onload = function(e){
                e = e || window.event;
                if( fileType=='JPG' || fileType=='JPEG' || fileType=='PNG' || fileType=='BMP' || fileType=='JPG' ){
                    fileWrapper.find(".file-icon-image").css("backgroundImage",'url('+e.target.result+')')
                }else{
                    fileWrapper.find(".file-icon-image").append('<i class="icon icon-file-pdf"></i>')
                };
            };
        };
    });

    // 删除附件
    $("#entryForm").on("click",".btn-delete-file",function(){
        var deleteindex = $(this).parents('td').find('.btn-delete-file').index($(this));
        $(this).parents('td').data('filearray').splice(deleteindex,1);
        $(this).parents(".uploaderFile").prev().val(null);
        if( $(this).parents('td').find('.file-wrapper').length == 1 ){
            $(this).parents(".file-wrapper").before('<span class="spanHolder">上传附件</span>');
        };
        $(this).parents(".file-wrapper").remove();
        return false;
    });
    // 删除(原有的)附件
    $("#entryForm").on("click",".btn-delete-originalfile",function(){
        $(this).parents('td').data('deletefileid').push($(this).parents('.file-wrapper').find('.file-name').attr('originalid'));
        $(this).parents(".uploaderFile").prev().val(null);
        if( $(this).parents('td').find('.file-wrapper').length == 1 ){
            $(this).parents(".file-wrapper").before('<span class="spanHolder">上传附件</span>');
        };
        $(this).parents(".file-wrapper").remove();
        return false;
    });

    //被退回--有货物
    // if($(".goodsListTbodyBack").length) {
    //     $(".goodsListTbody:first").remove()
    // }


    sortIGoodsnfo();

    // 人员信息添加
    $('#personalAdd').on('click', function() {
        let personalTrClone = $(".personalListTbody:first").clone();
        personalTrClone.show()
        personalTrClone.find('.error').hide();
        personalTrClone.find('.negativeInformationReduce').show();
        $('.personalListTable').append(personalTrClone);
    })

    $('#entryForm').on('change','.personalTable .type', function() {
        $('.personalListTable tr').each(function(i,ele) {
            if($(ele).find('.type').val() == '验收经办人（核心企业）') {
                $(ele).find('[name=radio]').show()
            }else {
                $(ele).find('[name=radio]').hide()
            }
        })
    })

    // 人员信息删除行
    $("#entryForm").on('click','.personalTable .negativeInformationReduce',function(){
        $(this).parents('.personalListTbody').remove();
    });

    //验收人(核心企业)变更 为 是 时补充说明板块必填;可添加删除
    $('[name=operator]').change(function () {
        if( $('[name=operator]:checked').val() == 1 ) {
            $('.explanation').addClass('required_fileds_star')
            $('.explanationFile').addClass('required_fileds_star')
            $('#personalAdd').show()
            $('.personalListTable tr').each(function(i,ele) {
                $(ele).find('.negativeInformationReduce').show()
                $(ele).find('.name').prop('readOnly',false);
                $(ele).find('.type').prop('disabled',false);
            })
        }else {
            $('.explanation').removeClass('required_fileds_star')
            $('.explanationFile').removeClass('required_fileds_star')
            $('#personalAdd').hide()
            $('.personalListTable tr').each(function(i,ele) {
                $(ele).find('.negativeInformationReduce').hide()
                $(ele).find('.name').prop('readOnly',true);
                $(ele).find('.type').prop('disabled',true);
            })
        }
    })
    $('[name=operator]').change()

   /*  // 添加行-货物
    $("#entryForm").on('click','.goodsTable .negativeInformationPlus',function(){
        var supplierTrClone = $(".goodsListTbody:first").clone();
        supplierTrClone.find('.negativeInformationReduce').show();
        supplierTrClone.find('.error').hide();
        supplierTrClone.find('input').val('');
        supplierTrClone.find('select').val('');
        $(this).parents('.goodsListTbody').after(supplierTrClone);
        sortIGoodsnfo();
    });

    */
    // 删除行
    $("#entryForm").on('click','.goodsTable .negativeInformationReduce',function(){
        $(this).parents('.goodsListTbody').remove();
        sortIGoodsnfo();
    });

    // 下载
    function downloadSubmit() {
    var postdata = new FormData();

    //postdata.append('taskId',$("[name=taskId]").val());
    //postdata.append('businessKey',$("[name=basicId]").val());

    postdata.append('supplierId',$("[name=supplierName]").val());
    postdata.append('businessName',$("[name=businessName]").val());
    postdata.append('businessNumber',$("[name=businessNo]").val());
    postdata.append('enterpriseCustomerInfoId',$("[name=enterpriseName]").val());
    postdata.append('tradingPlatformId',$("[name=tradingPlatformId]").val());
    // postdata.append('checkOperatorSupplier',$("[name=checkOperatorSupplier]").val());
    // postdata.append('checkOperatorEnterprise',$("[name=checkOperatorEnterprise]").val());

    // postdata.append('receivingUnit',$("[name=receivingUnit]").val());
    // postdata.append('managerName',$("[name=managerName]").val());
    postdata.append('acceptanceDate',$("[name=acceptanceDate]").val());
    postdata.append('expectedSettlementDate',$("[name=expectedSettlementDate]").val());
    postdata.append('additionalRemarks',$("[name=additionalRemarks]").val());

    //人员信息
    for(var i=1;i<$(".personalListTbody").length;i++) {
        postdata.append('acceptancePersonInfos['+(i-1)+'].type',$(".personalListTbody").eq(i).find('.type').val());
        postdata.append('acceptancePersonInfos['+(i-1)+'].name',$(".personalListTbody").eq(i).find('.name').val());
        // postdata.append('acceptancePersonInfos['+(i-1)+'].cardType',$(".personalListTbody").eq(i).find('.cardType').val());
        // postdata.append('acceptancePersonInfos['+(i-1)+'].socialCreditCode',$(".personalListTbody").eq(i).find('.socialCreditCode').val());
        postdata.append('acceptancePersonInfos['+(i-1)+'].mobile',$(".personalListTbody").eq(i).find('.mobile').val());
        if($('[name=sign]:checked').val() == '1') {
            if($(".personalListTbody").eq(i).find('[name=radio]').prop('checked') == true) {
                postdata.append('acceptancePersonInfos['+(i-1)+'].signer',true);
            }else {
                postdata.append('acceptancePersonInfos['+(i-1)+'].signer',false);
            }
        }
    }
    i=null;

    //货物信息
    for(var i=1;i<$(".goodsListTbody").length;i++) {
        postdata.append('acceptanceGoodInfos['+(i-1)+'].serialNumber',i);
        // postdata.append('acceptanceGoodInfos['+(i-1)+'].salesContractGoodsId',$(".goodsListTbody").eq(i).find('td').eq(1).find('input').attr('salesContractGoodsId'));
        // postdata.append('acceptanceGoodInfos['+(i-1)+'].purchContractNumber',$(".goodsListTbody").eq(i).find('td').eq(1).find('input').attr('purchContractNumber'));
        postdata.append('acceptanceGoodInfos['+(i-1)+'].goodsName',$(".goodsListTbody").eq(i).find('td').eq(1).find('input').val());
        postdata.append('acceptanceGoodInfos['+(i-1)+'].goodsMaterial',$(".goodsListTbody").eq(i).find('td').eq(2).find('input').val());
        postdata.append('acceptanceGoodInfos['+(i-1)+'].goodsType',$(".goodsListTbody").eq(i).find('td').eq(3).find('input').val());
        postdata.append('acceptanceGoodInfos['+(i-1)+'].goodsFactory',$(".goodsListTbody").eq(i).find('td').eq(4).find('input').val());

        postdata.append('acceptanceGoodInfos['+(i-1)+'].goodsUnit',$(".goodsListTbody").eq(i).find('td').eq(5).find('input').val());
        postdata.append('acceptanceGoodInfos['+(i-1)+'].goodsQuantity',$(".goodsListTbody").eq(i).find('td').eq(6).find('input').val().split(",").join(''));
        postdata.append('acceptanceGoodInfos['+(i-1)+'].salesPrice',$(".goodsListTbody").eq(i).find('td').eq(7).find('input').val().split(",").join(''));
        postdata.append('acceptanceGoodInfos['+(i-1)+'].acceptanceDate',$(".goodsListTbody").eq(i).find('td').eq(8).find('input').val().split(",").join(''));
    }
    i=null;

    // 附件信息
    for( var m=0;m<$('.fileStorage .addFileList').data('filearray').length;m++ ){
        postdata.append('file['+m+']',$('.fileStorage .addFileList').data('filearray')[m]);
    };
    m = null;
    for( var m=0;m<$('.supplementFiles .addFileList').data('filearray').length;m++ ){
        postdata.append('additional['+m+']',$('.supplementFiles .addFileList').data('filearray')[m]);
    };
    m = null;

    $.ajax({
        url: '/acceptance/downloadPdf',
        type: 'post',
        data: postdata,
        processData: false,
        contentType: false,
        success: function(data){
            if( data.success ){
                downloadFileByBase64(data.data, '验收单临时文件.pdf')
            }else{
                new $.zui.Messager('预览验收单失败:'+data.msg, {
                    type: 'danger'
                }).show();
            }
        },
        error: function(status){
            console.log(status, '获取核心企业名称失败')
        }
    })
    }

    //保存
    function submitFunction(e){
        var postdata = new FormData();

        postdata.append('taskId',$("[name=taskId]").val());
        postdata.append('id',$("[name=basicId]").val());

        postdata.append('supplierId',$("[name=supplierName]").val());
        postdata.append('businessNumber',$("[name=businessNo]").val());
        postdata.append('businessName',$("[name=businessName]").val());
        postdata.append('enterpriseCustomerInfoId',$("[name=enterpriseName]").val());
        postdata.append('tradingPlatformId',$("[name=tradingPlatformId]").val());
        postdata.append('expectedSettlementDate',$("[name=expectedSettlementDate]").val());
        // postdata.append('checkOperatorSupplier',$("[name=checkOperatorSupplier]").val());
        // postdata.append('checkOperatorEnterprise',$("[name=checkOperatorEnterprise]").val());
        if($('[name=sign]:checked').val()) {
            postdata.append('signConfirm',$('[name=sign]:checked').val());
        }
        if($('[name=operator]:checked').val()) {
            postdata.append('changePerson',$('[name=operator]:checked').val());
        }


        // postdata.append('receivingUnit',$("[name=receivingUnit]").val());
        // postdata.append('managerName',$("[name=managerName]").val());
        // postdata.append('acceptanceDate',$("[name=acceptanceDate]").val());

        postdata.append('additionalRemarks',$("[name=additionalRemarks]").val());

        if($("[name=steelWaiter]:checked").val()) {
            postdata.append('steelWaiter',$("[name=steelWaiter]:checked").val());
        }


        if($("[name=steelWaiter]:checked").val() === '1') {
            xmSelectList.forEach((item, index) => {
                postdata.append(`sellBillNumber[${index}]`, item.name);
            })
        }

        //人员信息
        for(var i=1;i<$(".personalListTbody").length;i++) {
            postdata.append('acceptancePersonInfos['+(i-1)+'].type',$(".personalListTbody").eq(i).find('.type').val());
            postdata.append('acceptancePersonInfos['+(i-1)+'].name',$(".personalListTbody").eq(i).find('.name').val());
            // postdata.append('acceptancePersonInfos['+(i-1)+'].cardType',$(".personalListTbody").eq(i).find('.cardType').val());
            // postdata.append('acceptancePersonInfos['+(i-1)+'].socialCreditCode',$(".personalListTbody").eq(i).find('.socialCreditCode').val());
            postdata.append('acceptancePersonInfos['+(i-1)+'].mobile',$(".personalListTbody").eq(i).find('.mobile').val());
            if($('[name=sign]:checked').val() == '1') {
                if($(".personalListTbody").eq(i).find('[name=radio]').prop('checked') == true) {
                    postdata.append('acceptancePersonInfos['+(i-1)+'].signer',true);
                }else {
                    postdata.append('acceptancePersonInfos['+(i-1)+'].signer',false);
                }
            }
        }
        i=null;

        //货物信息
        if($('[name=sign]:checked').val() == 0) {
            for(var i=1;i<$(".goodsListTbody").length;i++) {
                postdata.append('acceptanceGoodInfos['+(i-1)+'].serialNumber',i);
                // postdata.append('acceptanceGoodInfos['+(i-1)+'].salesContractGoodsId',$(".goodsListTbody").eq(i).find('td').eq(1).find('input').attr('salesContractGoodsId'));
                // postdata.append('acceptanceGoodInfos['+(i-1)+'].purchContractNumber',$(".goodsListTbody").eq(i).find('td').eq(1).find('input').attr('purchContractNumber'));
                postdata.append('acceptanceGoodInfos['+(i-1)+'].goodsName',$(".goodsListTbody").eq(i).find('td').eq(1).find('input').val());
                postdata.append('acceptanceGoodInfos['+(i-1)+'].goodsMaterial',$(".goodsListTbody").eq(i).find('td').eq(2).find('input').val());
                postdata.append('acceptanceGoodInfos['+(i-1)+'].goodsType',$(".goodsListTbody").eq(i).find('td').eq(3).find('input').val());
                postdata.append('acceptanceGoodInfos['+(i-1)+'].goodsFactory',$(".goodsListTbody").eq(i).find('td').eq(4).find('input').val());

                postdata.append('acceptanceGoodInfos['+(i-1)+'].goodsUnit',$(".goodsListTbody").eq(i).find('td').eq(5).find('input').val());
                postdata.append('acceptanceGoodInfos['+(i-1)+'].goodsQuantity',$(".goodsListTbody").eq(i).find('td').eq(6).find('input').val().split(",").join(''));
                postdata.append('acceptanceGoodInfos['+(i-1)+'].salesPrice',$(".goodsListTbody").eq(i).find('td').eq(7).find('input').val().split(",").join(''));
                postdata.append('acceptanceGoodInfos['+(i-1)+'].acceptanceDate',$(".goodsListTbody").eq(i).find('td').eq(8).find('input').val().split(",").join(''));
            }
            i=null;
        }

        // 附件信息
        for( var m=0;m<$('.fileStorage .addFileList').data('filearray').length;m++ ){
            postdata.append('file['+m+']',$('.fileStorage .addFileList').data('filearray')[m]);
        };
        m = null;
        for( var m=0;m<$('.supplementFiles .addFileList').data('filearray').length;m++ ){
            postdata.append('additional['+m+']',$('.supplementFiles .addFileList').data('filearray')[m]);
        };
        m = null;

        // 删除的附件信息
        for( var m=0;m<$('.fileStorage .addFileList').data('deletefileid').length;m++ ){
            postdata.append('deleteFile['+m+']',$('.fileStorage .addFileList').data('deletefileid')[m]);
        };
        m = null;

        const originalidList = []
        for(let i=0; i < $('.fileStorage .addFileList .content .file-name').length; i++ ){
            const originalid = $('.fileStorage .addFileList .content .file-name').eq(i).attr('originalid')
            if(originalid) {
                originalidList.push(originalid)
            }
        }

        originalidList.forEach((item, index) => {
            postdata.append(`upLoadFileIds[${index}]`, item);
        })
        // 删除的补充附件信息
        for( var m=0;m<$('.supplementFiles .addFileList').data('deletefileid').length;m++ ){
            postdata.append('deleteSupplement['+m+']',$('.supplementFiles .addFileList').data('deletefileid')[m]);
        };
        m = null;

        // var url = '/acceptance/updateDetail',tip='修改';
        if(e == 'temp'){
            tipword = '暂存';
            postdata.append('submit',false);
        }else{
            tipword = '添加';
            postdata.append('submit',true);
        }
        $.ajax({
            url:'/acceptance/updateDetail',
            type:'post',
            data:postdata,
            processData:false,
            contentType:false,
            success:function(data){
                if( data.success ){
                    new $.zui.Messager( tipword+'验收单成功', {
                        type: 'success'
                    }).show();
                    $.get('/acceptance/pendingList?fastSearch='+acceptanceQuery.detailId2,function(data){
                        $(".yk_rightcontent").empty().append(data);
                    });
                }else{
                    new $.zui.Messager(tipword+'验收单失败:'+data.msg, {
                        type: 'danger'
                    }).show();
                }
            },
            error:function(status){
                new $.zui.Messager(tipword+'验收单时发生错误:'+status, {
                    type: 'danger'
                }).show();
            }
        });
        return false;
    };
    $('#downloadFileTemp').on('click',function (){
        window.open('/acceptance/downloadFile')
    })

    var formRules = {
        'supplierName':{
            required:true
        },
        'enterpriseName':{
            required:true
        },
        'businessNo':{
            required:true
        },
        'tradingPlatformId':{
            required:true
        },
        'receivingUnit':{
            required:true
        },
        'managerName':{
            required:true,
        },
        'acceptanceDate':{
            required:true
        },
        'expectedSettlementDate':{
            required:true
        },
        'goodsQuantity':{
            // checkGoodsQuantity: true,
            min:0
        },
        'file':{
            required:true
        },
        'checkOperatorSupplier': {
            required:true,
            maxlength: 50
        },
        'checkOperatorEnterprise': {
            required:true,
            maxlength: 50
        },
        'goodsName':{
            required:true,
        },
        'sign': {
            required:true,
        },
        'operator': {
            required:true,
        },
        'steelWaiter': {
            required:true,
        },
        'sellBillNumber': {
            required: true,
        }
    };

    var formMessages = {
        'supplierName':{
            required:'请选择供应商名称'
        },
        'enterpriseName':{
            required:'请选择核心企业名称'
        },
        'businessNo':{
            required:true
        },
        'tradingPlatformId':{
            required:'请输入贸易平台'
        },
        'receivingUnit':{
            required:'请输入收货单位名称'
        },
        'managerName':{
            required:'请输入经办人姓名',
        },
        'acceptanceDate':{
            required:'请选择验收日期'
        },
        'expectedSettlementDate':{
            required:'请选择预估结算日期'
        },
        'file':{
            required:'请上传附件'
        },
        'checkOperatorSupplier': {
            required: '请输入验收经办人(供应商)',
            maxlength:'最多输入50个字符'
        },
        'checkOperatorEnterprise': {
            required: '请输入验收经办人(核心企业)',
            maxlength:'最多输入50个字符'
        },
        'sign': {
            required: '请选择签署确认',
        },
        'operator': {
            required: '请选择核心企业经办人是否变更',
        },
        'steelWaiter': {
            required: '请选择是否为钢小二',
        },
        'sellBillNumber': {
            required: '请选择销售单号',
        }
    };

    //数量限制
    // $.validator.addMethod("checkGoodsQuantity",function(value,element){
    //     value = value.replace(/,/gi,'')
    //     var score = /^(?!0+(?:\.0+)?$)(?:[1-9]\d*|0)(?:\.\d{1,3})?$/
    //     return this.optional(element) || (score.test(value));
    // },"数量格式不正确");

    var downLoadSubmitType = ''
    //表单验证
    function addNewCustomer(e){
        //货物必填验证
        if($('[name=sign]:checked').val() == 0) {
            $('.goodsTable input').keyup();
        }


        $("#entryForm").validate({
            promptPosition : "bottomLeft",
            submitHandler : function(form) {
                if( $('.error.shows').length>0 ){
                    $('.error.shows:first').prev().focus();
                    return;
                };
                // if($('[name=sign]:checked').val() == '1') {
                //     for(i=0;i<$('.personalListTbodyBack').length;i++) {
                //         if( $(".personalListTbodyBack").eq(i).find('[name=radio]').prop('checked') == true) {
                //             if($(".personalListTbodyBack").eq(i).find('.name').val() == '') {
                //                 new $.zui.Messager('请输入选择的人员信息姓名' , {
                //                     type: 'danger'
                //                 }).show();
                //                 return false
                //             }
                //             if($(".personalListTbodyBack").eq(i).find('.mobile').val() == '') {
                //                 new $.zui.Messager('请输入选择的人员信息联系方式' , {
                //                     type: 'danger'
                //                 }).show();
                //                 return false
                //             }
                //         }
                //     }
                // }else {
                    for(i=0;i<$('.personalListTable tr').length;i++) {
                        if($(".personalListTable tr").eq(i).find('.name').val() == '') {
                            new $.zui.Messager('请输入人员信息姓名' , {
                                type: 'danger'
                            }).show();
                            return false
                        }
                        if($(".personalListTable tr").eq(i).find('.mobile').val() == '') {
                            new $.zui.Messager('请输入人员信息联系方式' , {
                                type: 'danger'
                            }).show();
                            return false
                        }
                        if($(".personalListTable tr").eq(i).find('.type').val() == '') {
                            new $.zui.Messager('请选择人员信息类型' , {
                                type: 'danger'
                            }).show();
                            return false
                        }
                    }
                // }

                //核心企业经办人是否变更为是，补充说明必填
                if($('[name=operator]:checked').val() == 1) {
                    if($(".supplementFiles .fileinput").val() == '' && !$(".supplementFiles .content").length) {
                        $('.supplementFiles .addFileList .error').addClass('shows').show();
                        return
                    }else {
                        $('.supplementFiles .addFileList .error').removeClass('shows').hide();
                    }
                    if($('[name=additionalRemarks]').val() == '') {
                        new $.zui.Messager('请输入补充说明' , {
                            type: 'danger'
                        }).show();
                        return false
                    }
                }

                if(!$(".goodsListTbody").not(':first').length && $('[name=sign]:checked').val() == 0) {
                    new $.zui.Messager('请选择货物' , {
                        type: 'danger'
                    }).show();
                    return false
                }
                if(downLoadSubmitType === 'down') {
                    downloadSubmit()
                }else {
                    submitFunction('submit');
                };
            },
            rules:formRules,
            messages : formMessages
        });
    };

    //货物必填验证
    $(".goodsListTable").on("keyup","input",function(e){
        if($(this).val() == '') {
            $(this).next().addClass('shows').show();
        }else {
            $(this).next().removeClass('shows').hide();
        }
    })

    $(".amountInput").each(function (i, ele) {
        $(ele).val(commaDelimiter($(this).val()))
    })
    $(".amountInput").keyup(function () {
        $(this).val(commaDelimiter($(this).val()))
    })

    //提交按钮
    $(".yk_addNewMsg .submitBusiness").click(function () {
        downLoadSubmitType = 'submit'
        addNewCustomer()

    });

    // 暂存-按钮
    $(".yk_addNewMsg .submitTemSave").click(function () {
        submitFunction('temp')
        return false
    })

    //关闭按钮
    $(".yk_addNewMsg .btn-cancel, .newBackBtn").click(function(){
        $.get('/acceptance/pendingList?businessBasicId='+acceptanceQuery.detailId2,function(data){
            $(".yk_rightcontent").empty().append(data);
        });
        return false;
    });

    $('.yk_addNewMsg .downLoadFile').click(function (event) {
        downLoadSubmitType = 'down'
        addNewCustomer()
    })

    //释放
    $("#myModal-chooseGoods").on('click','.chooseGoodsTable .relaseGoods',function(){
        $(this).parents('.choosedGoodsTbody').remove();
        sortChooseGoodsInfo();
        //return false;
    });

    function operate(cellValue,options,rowObject){
        var btnstr = '';
        btnstr += '<p><span>选择</span><i class="icon-check" onclick="chooseGoods('+rowObject.id+')"></i></p>';
        return '<div class="operateIcon noHover">'+btnstr+'</div>';
    };
    function showAmount(cellValue,options,rowObject) {
        if(cellValue !== null) {
            return commaDelimiter(cellValue)
        }else {
            return ''
        }
    }

    function tablefunction(tableid){
        var tipword = '',pageid = '',pageNo = 1,postData = {};url = '',colNamesArray = [],colModelArray = [];
        switch( tableid ){
            case '#chooseGoodsList':tipword ='货物';pageid = '#chooseGoodsListPage';
                postData = {
                    'condition': $("[name=businessNo]").val(),
                    'conditionLong':$("[name=supplierName]").val()
                };
                url = '/acceptance/getGoods';
                colNamesArray = ['ID','salesContractGoodsId','purchContractNumber','编号','名称','厂家','型号','单位','数量','销售单价'];
                colModelArray = [
                    {name: 'id', label: 'ID', hidedlg:true, hidden:true,sortable:false,title:false},
                    {name: 'salesContractGoodsId', label: 'salesContractGoodsId', hidedlg:true, hidden:true,sortable:false,title:false},
                    {name: 'purchContractNumber', label: 'salesContractGoodsId', hidedlg:true, hidden:true,sortable:false,title:false},
                    {name: 'orderNumber', label: '编号', hidedlg:true, width:50,sortable:false,title:false},
                    {name: 'goodsName', label: '名称',sortable:false,align:'left',title:false},
                    {name: 'goodsFactory', label: '厂家',sortable:false,align:'left',title:false},
                    {name: 'goodsType', label: '型号',sortable:false,align:'left',title:false},
                    {name: 'goodsUnit', label: '单位',sortable:false,align:'left',title:false},
                    {name: 'goodsNum', label: '数量',sortable:false,align:'left',title:false,formatter:showAmount},
                    {name: 'salesPrice', label: '销售单价',sortable:false,align:'left',title:false,formatter:showAmount},
                    // {name: 'operate', label: '操作',sortable:false,align:'left',title:false,formatter:operate},
                ];
                break;
        };
        sxUtil.jqGrid(tableid,{
            colNames:colNamesArray,
            colModel:colModelArray,
            height:'auto',
            mtype:'GET',
            url: url,
            pager : pageid,
            multiselect: false,
            rownumbers:false,
            postData: postData,
            page:pageNo,
            loadError:function(){
                // new $.zui.Messager(tipword+'列表加载失败', {
                //     type: 'warning'
                // }).show();
            }
        },true);
        $(tableid).trigger('reloadGrid');
    };

    // 下游验收货物信息-模板导入
    $("#downstreamGoodsTem").on('click', function () {
        $('.fileGoodsInput').click();
    })

    $("#entryForm").on("change",".fileGoodsInput",function(e){
        var postdata = new FormData();
        $('.goodsListTable').children().remove()
        postdata.append('file', e.target.files[0])
        $.ajax({
            url: '/acceptance/doImportGoodsInfo',
            type: 'post',
            data: postdata,
            processData: false,
            contentType: false,
            success: function(data){
                for (var n=0; n < data.data.length; n++) {
                    var supplierTrClone1 = $(".goodsListTbody:first").clone();
                    supplierTrClone1.show();
                    supplierTrClone1.find('td').eq(1).find('input').val(data.data[n].goodsName)
                    supplierTrClone1.find('td').eq(2).find('input').val(data.data[n].goodsMaterial)
                    supplierTrClone1.find('td').eq(3).find('input').val(data.data[n].goodsType)
                    supplierTrClone1.find('td').eq(4).find('input').val(data.data[n].goodsFactory)
                    supplierTrClone1.find('td').eq(5).find('input').val(data.data[n].goodsUnit)
                    supplierTrClone1.find('td').eq(6).find('input').val((data.data[n].goodsQuantity).toFixed(4))
                    supplierTrClone1.find('td').eq(7).find('input').val((data.data[n].salesPrice).toFixed(2))
                    supplierTrClone1.find('td').eq(8).find('input').val(data.data[n].acceptanceDate)
                    // supplierTrClone1.find('td').eq(8).find('input').val(data.data[n].remark)
                    supplierTrClone1.find('.error').hide();
                    $('.goodsListTable').append(supplierTrClone1);
                    $(".fileGoodsInput").val('')
                }
                n=null;
                sortIGoodsnfo();
            },
            error: function(status){
                $(".fileGoodsInput").val('')
                console.log(status, '导入失败')
            }
        });

    })
    // 导入模板-清空数据
    $('.emptyData').on('click', function () {
        if($('.goodsListTable').find('tr').length) {
            $('.goodsListTable').children().remove()
        }
        $('.totalNum').text('0.0000')
        $('.totalPrice').text('0.00')
    })

    // tablefunction('#chooseGoodsList');

   /*  $("#chooseButton").click(function () {
        if($("[name=supplierName]").val() == '') {
            new $.zui.Messager('请先选择供应商。', {
                type: 'danger'
            }).show();
            return false;
        }else {

            $('#chooseGoodsList').setGridParam({
                mtype: 'GET',
                url: '/acceptance/getGoods',
                datatype: 'json',
                postData: {
                    'condition': $("[name=businessNo]").val(),
                    'conditionLong': $("[name=supplierName]").val()
                },
                page: 1
            });
            $('#chooseGoodsList').trigger('reloadGrid');
            $("#myModal-chooseGoods").modal("show");
            $("#myModal-chooseGoods").on('shown.zui.modal', function () {
                $(window).resize();
                $("#chooseGoodsList_cb").css({'width': '45', 'padding': '0 0.12rem'})
                $('#chooseGoodsList .jqgfirstrow td:first').css('width', '45')

                $(".choosedGoodsList").empty();
            })
            return false;
        }

    });

    $(".chooseSure").click(function () {
        var ids = $('#chooseGoodsList').jqGrid('getGridParam', 'selarrrow');
        if (ids.length > 0) {
            for (var i = 0; i < ids.length; i++) {
                var chooseData = $('#chooseGoodsList').jqGrid('getRowData',ids[i]);
                var trStr = `<tr class="choosedGoodsTbody">
                        <td width="5%" style="background-color:#fff;border-bottom: 1px solid #E8F0F3;"></td>
                        <td width="14%" style="background-color:#fff;border-bottom: 1px solid #E8F0F3;">`+chooseData.goodsName+`</td>
                        <td width="14%" style="background-color:#fff;border-bottom: 1px solid #E8F0F3;">`+chooseData.goodsFactory+`</td>
                        <td width="14%" style="background-color:#fff;border-bottom: 1px solid #E8F0F3;">`+chooseData.goodsType+`</td>
                        <td width="13%" style="background-color:#fff;border-bottom: 1px solid #E8F0F3;">`+chooseData.goodsUnit+`</td>
                        <td width="13%" style="background-color:#fff;border-bottom: 1px solid #E8F0F3;">`+chooseData.goodsNum+`</td>
                        <td width="13%" style="background-color:#fff;border-bottom: 1px solid #E8F0F3;">`+chooseData.salesPrice+`</td>
                        <td style="display: none">`+chooseData.id+`</td>
                        <td style="display: none" class="salesContractGoodsId">`+chooseData.salesContractGoodsId+`</td>
                        <td style="display: none" class="purchContractNumber">`+chooseData.purchContractNumber+`</td>
                        <td width="10%" style="background-color:#fff;border-bottom: 1px solid #E8F0F3;border-right: 1px solid #E8F0F3;"><span class="relaseGoods" style="color: #5AC4FC;cursor: pointer">释放</span></td>
                    </tr>`
                $(".choosedGoodsList").append(trStr);
            }
        }


        $(".choosedGoodsTbody").each(function (i, ele) {

            var supplierTrClone2 = $(".goodsListTbody:first").clone();
            supplierTrClone2.find('.negativeInformationReduce').show();
            supplierTrClone2.find('.error').hide();
            supplierTrClone2.find('input').val('');
            supplierTrClone2.find('select').val('');

            supplierTrClone2.find('td').eq(1).find('input').val($(ele).find('td').eq(1).text())
            supplierTrClone2.find('td').eq(2).find('input').val($(ele).find('td').eq(2).text())
            supplierTrClone2.find('td').eq(3).find('input').val($(ele).find('td').eq(3).text())
            supplierTrClone2.find('td').eq(4).find('input').val($(ele).find('td').eq(4).text())
            supplierTrClone2.find('td').eq(5).find('input').val($(ele).find('td').eq(5).text())
            supplierTrClone2.find('td').eq(6).find('input').val($(ele).find('td').eq(6).text())

            supplierTrClone2.find('td').eq(1).find('input').attr('salesContractGoodsId',$(ele).find('td.salesContractGoodsId').text())
            supplierTrClone2.find('td').eq(1).find('input').attr('purchContractNumber',$(ele).find('td.purchContractNumber').text())
            supplierTrClone2.show();
            $('.goodsListTable').append(supplierTrClone2);
            sortIGoodsnfo();

        })
        $("#myModal-chooseGoods").modal("hide");
    }) */
    if($("[name=supplierName]").val()) {
        getLocalUserCustomers('edit')
    }
})

$("[name=supplierName]").on('change', function(e) {
    getLocalUserCustomers('add')
})

// 获取业务编号
$("[name=enterpriseName]").on('change', function(e) {
    getLocalUserBusinessList('add')
})

// 获取贸易平台
$("[name=businessNo]").on('change', function(e) {
    getPlateformByBusiness()
})
