package com.sunxung.factoring.component.annotation;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.METHOD)
@Documented
public @interface Token {

    // 生成 Token 标志
    boolean save() default false;

    // 移除 Token 值
    boolean remove() default false;
}
