package com.sunxung.factoring.component.enums;

public enum BocomCustomerStageEnums {

    STAGING("bocomCustomerStages_A", "暂存"),

    REVIEW("bocomCustomerStages_B", "审核中"),

    BACK("bocomCustomerStages_C", "审批退回"),

    SUBMIT("bocomCustomerStages_D", "开户中"),

    SUCCESS("bocomCustomerStages_E", "核验成功"),

    FAIL("bocomCustomerStages_F", "核验失败"),

    TERMINATION("bocomCustomerStages_G", "终止");

    String code;

    String desc;

    BocomCustomerStageEnums(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public static BocomCustomerStageEnums getByCode(String code) {
        for (BocomCustomerStageEnums ft : values()) {
            if (ft.code.equals(code)) {
                return ft;
            }
        }
        return null;
    }

    public String getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }
}
