package com.sunxung.factoring.entity.bocom.register;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.sunxung.factoring.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;

/**
 * <p>
 * 交行-审核表
 * </p>
 *
 * @author liutao
 * @since 2024-07-30
 */
@TableName("bocom_approval")
public class BocomApproval extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 交通银行客户信息ID
     */
    @TableField("bocom_basic_info_id")
    private Long bocomBasicInfoId;

    /**
     * 交通银行客户信息历史表ID
     */
    @TableField("bocom_basic_info_history_id")
    private Long bocomBasicInfoHistoryId;

    /**
     * 审批意见
     */
    @TableField("approval_comment")
    private String approvalComment;

    /**
     * 审批结论
     */
    @TableField("approval_conclusion")
    private String approvalConclusion;

    public Long getBocomBasicInfoHistoryId() {
        return bocomBasicInfoHistoryId;
    }

    public void setBocomBasicInfoHistoryId(Long bocomBasicInfoHistoryId) {
        this.bocomBasicInfoHistoryId = bocomBasicInfoHistoryId;
    }

    public Long getBocomBasicInfoId() {
        return bocomBasicInfoId;
    }

    public void setBocomBasicInfoId(Long bocomBasicInfoId) {
        this.bocomBasicInfoId = bocomBasicInfoId;
    }
    public String getApprovalComment() {
        return approvalComment;
    }

    public void setApprovalComment(String approvalComment) {
        this.approvalComment = approvalComment;
    }
    public String getApprovalConclusion() {
        return approvalConclusion;
    }

    public void setApprovalConclusion(String approvalConclusion) {
        this.approvalConclusion = approvalConclusion;
    }

    @Override
    public String toString() {
        return "BocomApproval{" +
            "bocomBasicInfoId=" + bocomBasicInfoId +
            ", approvalComment=" + approvalComment +
            ", approvalConclusion=" + approvalConclusion +
        "}";
    }
}
