package com.sunxung.factoring.entity.bocom.request;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.sunxung.factoring.component.constance.BocomApiConstant;

/**
 * @Description : 自定义PptmBody
 * @Author : L.Jia
 * @Date: 2024-07-30 16:28
 */
public class BasicPptmBody {

    /**
     * 平台业务编号
     */
    @JsonProperty("plfm_bsn_id")
    private String plfmBsnId;

    public BasicPptmBody() {
        this.plfmBsnId = BocomApiConstant.PLATFORM_BSN_ID;
    }

    public String getPlfmBsnId() {
        return plfmBsnId;
    }

    public void setPlfmBsnId(String plfmBsnId) {
        this.plfmBsnId = plfmBsnId;
    }
}
