package com.sunxung.factoring.entity.bocom.request;

import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * @Description :
 * @Author : L.Jia
 * @Date: 2024-07-30 10:22
 */
public class PptmHead {

    /**
     * 报文格式
     */
    @JsonProperty("struct")
    private String struct;

    /**
     * 国家
     */
    @JsonProperty("country")
    private String country;

    /**
     * 系统号
     */
    @JsonProperty("system_id")
    private String systemId;

    /**
     * 消息类型
     */
    @JsonProperty("msg_type")
    private String msgType;

    /**
     * 发送日期
     */
    @JsonProperty("send_date")
    private String sendDate;

    /**
     * 开户机构号
     */
    @JsonProperty("tx_org_no")
    private String txOrgNo;

    /**
     * 时区
     */
    @JsonProperty("time_zone")
    private String timeZone;

    /**
     * 语言
     */
    @JsonProperty("language")
    private String language;

    /**
     * 交易流水号
     */
    @JsonProperty("trans_no")
    private String transNo;

    /**
     * 优先级
     */
    @JsonProperty("priority")
    private String priority;

    /**
     * 柜员号
     */
    @JsonProperty("eteller_no")
    private String etellerNo;

    /**
     * 发送时间
     */
    @JsonProperty("send_time")
    private String sendTime;

    /**
     * 报文有效时间
     */
    @JsonProperty("duration")
    private String duration;

    /**
     * 开户分行号
     */
    @JsonProperty("tx_branch_no")
    private String txBranchNo;

    /**
     * 预留位
     */
    @JsonProperty("reserve")
    private String reserve;

    /**
     * 渠道ID
     */
    @JsonProperty("channel_id")
    private String channelId;

//    /**
//     * ip地址
//     */
//    @JsonProperty("ip_addr")
//    private String ipAddr;
//
//    /**
//     * mac地址
//     */
//    @JsonProperty("mac_addr")
//    private String macAddr;

    public PptmHead() {
        this.struct = "";
        this.country = "";
        this.systemId = "";
        this.msgType = "";
        this.sendDate = "";
        this.txOrgNo = "";
        this.timeZone = "";
        this.language = "";
        this.transNo = "";
        this.priority = "";
        this.etellerNo = "";
        this.sendTime = "";
        this.duration = "";
        this.txBranchNo = "";
        this.reserve = "";
        this.channelId = "";
    }

    public String getStruct() {
        return struct;
    }

    public void setStruct(String struct) {
        this.struct = struct;
    }

    public String getCountry() {
        return country;
    }

    public void setCountry(String country) {
        this.country = country;
    }

    public String getSystemId() {
        return systemId;
    }

    public void setSystemId(String systemId) {
        this.systemId = systemId;
    }

    public String getMsgType() {
        return msgType;
    }

    public void setMsgType(String msgType) {
        this.msgType = msgType;
    }

    public String getSendDate() {
        return sendDate;
    }

    public void setSendDate(String sendDate) {
        this.sendDate = sendDate;
    }

    public String getTxOrgNo() {
        return txOrgNo;
    }

    public void setTxOrgNo(String txOrgNo) {
        this.txOrgNo = txOrgNo;
    }

    public String getTimeZone() {
        return timeZone;
    }

    public void setTimeZone(String timeZone) {
        this.timeZone = timeZone;
    }

    public String getLanguage() {
        return language;
    }

    public void setLanguage(String language) {
        this.language = language;
    }

    public String getTransNo() {
        return transNo;
    }

    public void setTransNo(String transNo) {
        this.transNo = transNo;
    }

    public String getPriority() {
        return priority;
    }

    public void setPriority(String priority) {
        this.priority = priority;
    }

    public String getEtellerNo() {
        return etellerNo;
    }

    public void setEtellerNo(String etellerNo) {
        this.etellerNo = etellerNo;
    }

    public String getSendTime() {
        return sendTime;
    }

    public void setSendTime(String sendTime) {
        this.sendTime = sendTime;
    }

    public String getDuration() {
        return duration;
    }

    public void setDuration(String duration) {
        this.duration = duration;
    }

    public String getTxBranchNo() {
        return txBranchNo;
    }

    public void setTxBranchNo(String txBranchNo) {
        this.txBranchNo = txBranchNo;
    }

    public String getReserve() {
        return reserve;
    }

    public void setReserve(String reserve) {
        this.reserve = reserve;
    }

    public String getChannelId() {
        return channelId;
    }

    public void setChannelId(String channelId) {
        this.channelId = channelId;
    }
}
