package com.sunxung.factoring.entity.bocom.response;

import com.bocom.api.BocomResponse;
import com.fasterxml.jackson.annotation.JsonProperty;

public class B2BJEBP2001ResponseV2 extends BocomResponse {
    /**
     * ""
     */
    @JsonProperty("pptm_head")
    private PptmHead pptmHead;

    public static class PptmHead {
        /**
         * 格式类型
         */
        @JsonProperty("struct")
        private String struct;

        /**
         * 返回码
         */
        @JsonProperty("return_code")
        private String returnCode;

        /**
         * 错误信息
         */
        @JsonProperty("return_msg")
        private String returnMsg;

        /**
         * 报文发送日期
         */
        @JsonProperty("send_date")
        private String sendDate;

        /**
         * 交易状态
         */
        @JsonProperty("tran_state")
        private String tranState;

        /**
         * 预留
         */
        @JsonProperty("reserve")
        private String reserve;

        /**
         * 交易流水号
         */
        @JsonProperty("trans_no")
        private String transNo;

        /**
         * 版本号
         */
        @JsonProperty("version")
        private String version;

        /**
         * 报文发送时间
         */
        @JsonProperty("send_time")
        private String sendTime;

        public String getStruct() {
            return struct;
        }

        public void setStruct(String struct) {
            this.struct = struct;
        }

        public String getReturnCode() {
            return returnCode;
        }

        public void setReturnCode(String returnCode) {
            this.returnCode = returnCode;
        }

        public String getReturnMsg() {
            return returnMsg;
        }

        public void setReturnMsg(String returnMsg) {
            this.returnMsg = returnMsg;
        }

        public String getSendDate() {
            return sendDate;
        }

        public void setSendDate(String sendDate) {
            this.sendDate = sendDate;
        }

        public String getTranState() {
            return tranState;
        }

        public void setTranState(String tranState) {
            this.tranState = tranState;
        }

        public String getReserve() {
            return reserve;
        }

        public void setReserve(String reserve) {
            this.reserve = reserve;
        }

        public String getTransNo() {
            return transNo;
        }

        public void setTransNo(String transNo) {
            this.transNo = transNo;
        }

        public String getVersion() {
            return version;
        }

        public void setVersion(String version) {
            this.version = version;
        }

        public String getSendTime() {
            return sendTime;
        }

        public void setSendTime(String sendTime) {
            this.sendTime = sendTime;
        }
    }

    /**
     * ""
     */
    @JsonProperty("pptm_body")
    private PptmBody pptmBody;

    public static class PptmBody {
        /**
         * 内部流水号
         */
        @JsonProperty("inr_ser_no")
        private String inrSerNo;

        /**
         * 交易状态
         * 00-成功
         * 01-失败
         * 02-待查
         * 03-待授权
         * 04-授权拒绝
         * 05-延时中
         */
        @JsonProperty("txn_sts")
        private String txnSts;

        /**
         * 联动交易状态 20-一阶段交易成功 21-一阶段交易失败(终) 22-一阶段交易处理中 50-二阶段交易成功(终) 52-二阶段交易处理中 60-一阶段抹账处理中90-交易失败金额已原路返回(终) 91-交易失败金额未原路返回(终)
         */
        @JsonProperty("lnkg_txn_sts")
        private String lnkgTxnSts;

        /**
         * 交易完成时间
         */
        @JsonProperty("txn_fns_tme")
        private String txnFnsTme;

        /**
         * 错误信息
         */
        @JsonProperty("err_inf")
        private String errInf;

        /**
         * 错误码
         */
        @JsonProperty("err_code")
        private String errCode;

        public String getInrSerNo() {
            return inrSerNo;
        }

        public void setInrSerNo(String inrSerNo) {
            this.inrSerNo = inrSerNo;
        }

        public String getTxnSts() {
            return txnSts;
        }

        public void setTxnSts(String txnSts) {
            this.txnSts = txnSts;
        }

        public String getLnkgTxnSts() {
            return lnkgTxnSts;
        }

        public void setLnkgTxnSts(String lnkgTxnSts) {
            this.lnkgTxnSts = lnkgTxnSts;
        }

        public String getTxnFnsTme() {
            return txnFnsTme;
        }

        public void setTxnFnsTme(String txnFnsTme) {
            this.txnFnsTme = txnFnsTme;
        }

        public String getErrInf() {
            return errInf;
        }

        public void setErrInf(String errInf) {
            this.errInf = errInf;
        }

        public String getErrCode() {
            return errCode;
        }

        public void setErrCode(String errCode) {
            this.errCode = errCode;
        }
    }

    public PptmHead getPptmHead() {
        return pptmHead;
    }

    public void setPptmHead(PptmHead pptmHead) {
        this.pptmHead = pptmHead;
    }

    public PptmBody getPptmBody() {
        return pptmBody;
    }

    public void setPptmBody(PptmBody pptmBody) {
        this.pptmBody = pptmBody;
    }
}
