package com.sunxung.factoring.entity.bocom.response;

import com.bocom.api.BocomResponse;
import com.fasterxml.jackson.annotation.JsonProperty;

public class MshpRgsnBookStateNoticeResponseV1 extends BocomResponse {
    /**
     * 返回访问状态字
     * S-成功
     * F-失败
     */
    @JsonProperty("biz_state")
    private String bizState;

    /**
     * 返回码
     */
    @JsonProperty("rsp_code")
    private String rspCode;

    /**
     * 逻辑异常返回信息
     */
    @JsonProperty("rsp_msg")
    private String rspMsg;

    /**
     * 响应结果（0-成功 1-失败）
     */
    @JsonProperty("response_result")
    private String responseResult;

    /**
     * 错误码
     */
    @JsonProperty("error_code")
    private String errorCode;

    /**
     * 错误信息
     */
    @JsonProperty("error_message")
    private String errorMessage;

    public String getBizState() {
        return bizState;
    }

    public void setBizState(String bizState) {
        this.bizState = bizState;
    }

    public String getRspCode() {
        return rspCode;
    }

    public void setRspCode(String rspCode) {
        this.rspCode = rspCode;
    }

    @Override
    public String getRspMsg() {
        return rspMsg;
    }

    @Override
    public void setRspMsg(String rspMsg) {
        this.rspMsg = rspMsg;
    }

    public String getResponseResult() {
        return responseResult;
    }

    public void setResponseResult(String responseResult) {
        this.responseResult = responseResult;
    }

    public String getErrorCode() {
        return errorCode;
    }

    public void setErrorCode(String errorCode) {
        this.errorCode = errorCode;
    }

    public String getErrorMessage() {
        return errorMessage;
    }

    public void setErrorMessage(String errorMessage) {
        this.errorMessage = errorMessage;
    }
}