package com.sunxung.factoring.entity.bocom.vipaccount;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;

import java.math.BigDecimal;

/**
 * <p>
 * 提现手续费率表
 * </p>
 *
 * @author wangyafan
 * @since 2024-08-05
 */
@TableName("bocom_reflect_exchange_rate")
public class BocomReflectExchangeRate {

    @TableField("id")
    private Long id;

    /**
     * 是否交通银行 1 是 0 否
     */
    @TableField("is_bocom")
    private Integer isBocom;

    /**
     * 汇率
     */
    @TableField("exchange_rate")
    private BigDecimal exchangeRate;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getIsBocom() {
        return isBocom;
    }

    public void setIsBocom(Integer isBocom) {
        this.isBocom = isBocom;
    }

    public BigDecimal getExchangeRate() {
        return exchangeRate;
    }

    public void setExchangeRate(BigDecimal exchangeRate) {
        this.exchangeRate = exchangeRate;
    }

    @Override
    public String toString() {
        return "BocomReflectExchangeRate{" +
                "id=" + id +
                ", isBocom=" + isBocom +
                ", exchangeRate=" + exchangeRate +
                "}";
    }
}
