package com.sunxung.factoring.entity.bocom.vipaccount.Search;

import com.sunxung.factoring.entity.BaseSearch;

/**
 * @Description 会员登记簿查询类
 * @Author Yafan Wang
 * @Date 2024/8/6 15:56
 */
public class VipAccountSearch extends BaseSearch {

    /**
     * 渠道
     */
    private String channel;

    /**
     * 账户状态
     */
    private String accountStatus;

    /**
     * 当前用户
     */
    private String userLoginName;

    /**
     * 列表类型 0 会员账户管理 1 账户资金管理
     */
    private Integer listType;

    public String getChannel() {
        return channel;
    }

    public void setChannel(String channel) {
        this.channel = channel;
    }

    public String getAccountStatus() {
        return accountStatus;
    }

    public void setAccountStatus(String accountStatus) {
        this.accountStatus = accountStatus;
    }

    public String getUserLoginName() {
        return userLoginName;
    }

    public void setUserLoginName(String userLoginName) {
        this.userLoginName = userLoginName;
    }

    public Integer getListType() {
        return listType;
    }

    public void setListType(Integer listType) {
        this.listType = listType;
    }
}
