package com.sunxung.factoring.entity.cashflowmanage.request;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

@Getter
@Setter
public class AddCashFlowRequest {


    private Long id;

    private Long companyId;//   '企业id',

    private Long accountBelong; //账户归属   长银 非长银 资方',

    private Long companyBelong;  //公司归属',

    private Long bankAccountId; // 'sop 查询',

    private String bankName;  // "sop" 银行名称

    private String bankAccount; // sop 银行账号

    private Long businessType; //业务类型

    private String businessTypeNumber; //业务类型编号

    private String type; //'入账类型  现金/票据',

    private Date incomeDate;// '入账日期',

    private BigDecimal incomeAmount; //'入账金额',

    private BigDecimal invoiceAmount;  // '票据金额',

    private BigDecimal realAmount; // '实际金额',

    private String remark;//  '备注',

    private String content;  //富文本内容

}
