package com.sunxung.factoring.entity.cashflowmanage.vo;

import com.sunxung.factoring.entity.BaseSearch;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

/**
 * 现金流管理条件查询类
 *
 * @author LiuJia
 */
@Getter
@Setter
public class SearchCashFlowManageVo extends BaseSearch {

//    /**
//     * 开始时间
//     **/
//    private Date startDate;
//    /**
//     * 结束时间
//     **/
//    private Date endDate;
    /**
     * 出入账类型：1,入账;2,出账
     **/
    private Long entryOutType;
    /**
     * 状态 入账：1,已创建、2,已分配;出账：3,待处理、4,已完成
     **/
    private String cashStatus;

    private String mark;

    /** 权限可查询数据的所有id **/
    private List<Long> userIds;

    public List<Long> getUserIds() {
        return userIds;
    }

    public void setUserIds(List<Long> userIds) {
        this.userIds = userIds;
    }

}
