package com.sunxung.factoring.entity.credit;

import com.baomidou.mybatisplus.annotation.TableField;
import com.sunxung.factoring.entity.BaseEntity;
import com.sunxung.factoring.entity.sys.FileStorage;
import com.sunxung.factoring.entity.sys.FileStorageDO;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
public class CreditDetail extends BaseEntity {

    //征信id
    private Long creditId;

    //授权书Id
    private String authAddress;

    //授权书文件
    @TableField(exist = false)
    private FileStorage authAddressFile;

    //征信地址id
    private String creditAddress;

    //征信地址文件
    @TableField(exist = false)
    private FileStorage creditAddressFile;

    //征信查询时间
    private Date searchDate;


}
