package com.sunxung.factoring.entity.financing.contract;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.sunxung.factoring.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;

/**
 * <p>
 * 合同管理-合同电子签历史信息
 * </p>
 *
 * @author liutao
 * @since 2024-04-22
 */
@TableName("contract_electronic_info_his")
public class ContractElectronicInfoHis extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 合同基础历史ID
     */
    @TableField("contract_info_his_id")
    private Long contractInfoHisId;

    /**
     * 合同名称
     */
    @TableField("contract_name")
    private String contractName;

    /**
     * 合同编号
     */
    @TableField("contract_id")
    private String contractId;

    /**
     * 自动签署合同交易id
     */
    @TableField("auto_sign_transaction_id")
    private String autoSignTransactionId;

    /**
     * 电子签文件
     */
    @TableField("file_id")
    private Long fileId;

    public Long getContractInfoHisId() {
        return contractInfoHisId;
    }

    public void setContractInfoHisId(Long contractInfoHisId) {
        this.contractInfoHisId = contractInfoHisId;
    }
    public String getContractName() {
        return contractName;
    }

    public void setContractName(String contractName) {
        this.contractName = contractName;
    }
    public String getContractId() {
        return contractId;
    }

    public void setContractId(String contractId) {
        this.contractId = contractId;
    }
    public String getAutoSignTransactionId() {
        return autoSignTransactionId;
    }

    public void setAutoSignTransactionId(String autoSignTransactionId) {
        this.autoSignTransactionId = autoSignTransactionId;
    }
    public Long getFileId() {
        return fileId;
    }

    public void setFileId(Long fileId) {
        this.fileId = fileId;
    }

    @Override
    public String toString() {
        return "ContractElectronicInfoHis{" +
            "contractInfoHisId=" + contractInfoHisId +
            ", contractName=" + contractName +
            ", contractId=" + contractId +
            ", autoSignTransactionId=" + autoSignTransactionId +
            ", fileId=" + fileId +
        "}";
    }
}
