package com.sunxung.factoring.entity.ledger.vo;

import com.sunxung.factoring.entity.ledger.LedgerAccountHisInfo;
import com.sunxung.factoring.entity.ledger.LedgerFundGoodsAssignHis;
import com.sunxung.factoring.entity.ledger.SupplierBankCardInfoHis;

import java.util.List;

/**
 * @Description : 分账管理历史信息vo类
 * @Author : L.Jia
 * @Date: 2021-11-26 16:39
 */
public class LedgerAccountHisInfoVo {

    /**
     * 分账基础信息
     */
    private LedgerAccountHisInfo ledgerAccountBasicInfo;

    /**
     * 货物分配信息
     */
    private List<LedgerFundGoodsAssignHis> goodsAssignList;

    /**
     * 关联供应商银行卡账户
     */
    private List<SupplierBankCardInfoHis> supplierBankCardInfoList;

    public LedgerAccountHisInfo getLedgerAccountBasicInfo() {
        return ledgerAccountBasicInfo;
    }

    public void setLedgerAccountBasicInfo(LedgerAccountHisInfo ledgerAccountBasicInfo) {
        this.ledgerAccountBasicInfo = ledgerAccountBasicInfo;
    }

    public List<LedgerFundGoodsAssignHis> getGoodsAssignList() {
        return goodsAssignList;
    }

    public void setGoodsAssignList(List<LedgerFundGoodsAssignHis> goodsAssignList) {
        this.goodsAssignList = goodsAssignList;
    }

    public List<SupplierBankCardInfoHis> getSupplierBankCardInfoList() {
        return supplierBankCardInfoList;
    }

    public void setSupplierBankCardInfoList(List<SupplierBankCardInfoHis> supplierBankCardInfoList) {
        this.supplierBankCardInfoList = supplierBankCardInfoList;
    }
}
