package com.sunxung.factoring.entity.salescontractmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

/**
 * <p>
 * 销售合同变更-人员信息表
 * </p>
 *
 * @author yafan
 * @since 2023-12-12
 */
@TableName("c_sales_contract_supplement_person_info")
public class CSalesContractSupplementPersonInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;
    /**
     * 销售合同变更Id
     */
    @TableField("c_sales_contract_supplement_info_id")
    private Long cSalesContractSupplementInfoId;

    /**
     * 用户名
     */
    @TableField("name")
    private String name;

    /**
     * 证件类型
     */
    @TableField("card_type")
    private String cardType;

    /**
     * 人员类型
     */
    @TableField("type")
    private String type;

    /**
     * 证件号码
     */
    @TableField("socialCreditCode")
    private String socialCreditCode;

    /**
     * 联系电话
     */
    @TableField("mobile")
    private String mobile;

    /**
     * 备注
     */
    @TableField("remark")
    private String remark;

    public Long getcSalesContractSupplementInfoId() {
        return cSalesContractSupplementInfoId;
    }

    public void setcSalesContractSupplementInfoId(Long cSalesContractSupplementInfoId) {
        this.cSalesContractSupplementInfoId = cSalesContractSupplementInfoId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCardType() {
        return cardType;
    }

    public void setCardType(String cardType) {
        this.cardType = cardType;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getSocialCreditCode() {
        return socialCreditCode;
    }

    public void setSocialCreditCode(String socialCreditCode) {
        this.socialCreditCode = socialCreditCode;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "CSalesContractSupplementPersonInfo{" +
                ", cSalesContractSupplementInfoId=" + cSalesContractSupplementInfoId +
                ", name=" + name +
                ", cardType=" + cardType +
                ", type=" + type +
                ", socialCreditCode=" + socialCreditCode +
                ", mobile=" + mobile +
                ", remark=" + remark +
                "}";
    }
}
