package com.sunxung.factoring.entity.salescontractmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

/**
 * <p>
 * --销售合同人员信息历史表
 * </p>
 *
 * @author liutao
 * @since 2023-05-15
 */
@TableName("sales_contract_person_info_history")
public class SalesContractPersonInfoHistory extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 销售合同基础信息历史Id
     */
    @TableField("sales_contract_basic_info_history_id")
    private Long salesContractBasicInfoHIsId;

    /**
     * 用户名
     */
    @TableField("name")
    private String name;

    /**
     * 人员类型
     */
    @TableField("type")
    private String type;

    /**
     * 联系电话
     */
    @TableField("mobile")
    private String mobile;

    /**
     * 备注
     */
    @TableField("remark")
    private String remark;

    public Long getSalesContractBasicInfoHIsId() {
        return salesContractBasicInfoHIsId;
    }

    public void setSalesContractBasicInfoHIsId(Long salesContractBasicInfoHIsId) {
        this.salesContractBasicInfoHIsId = salesContractBasicInfoHIsId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }
    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "SalesContractPersonInfoHistory{" +
            ", name=" + name +
            ", type=" + type +
            ", mobile=" + mobile +
            ", remark=" + remark +
        "}";
    }
}
