package com.sunxung.factoring.entity.salescontractmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

/**
 * <p>
 * 销售合同变更-模板复审-审批意见表
 * </p>
 *
 * @author yafan
 * @since 2024-01-13
 */
@TableName("sales_contract_supplement_template_approval_comment_info")
public class SalesContractSupplementTemplateApprovalCommentInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 销售合同变更-模板复审Id
     */
    @TableField("sales_contract_supplement_template_approval_id")
    private Long salesContractSupplementTemplateApprovalId;

    /**
     * 审批意见
     */
    @TableField("approval_comment")
    private String approvalComment;

    public Long getSalesContractSupplementTemplateApprovalId() {
        return salesContractSupplementTemplateApprovalId;
    }

    public void setSalesContractSupplementTemplateApprovalId(Long salesContractSupplementTemplateApprovalId) {
        this.salesContractSupplementTemplateApprovalId = salesContractSupplementTemplateApprovalId;
    }

    public String getApprovalComment() {
        return approvalComment;
    }

    public void setApprovalComment(String approvalComment) {
        this.approvalComment = approvalComment;
    }

    @Override
    public String toString() {
        return "SalesContractSupplementTemplateApprovalCommentInfo{" +
                ", salesContractSupplementTemplateApprovalId=" + salesContractSupplementTemplateApprovalId +
                ", approvalComment=" + approvalComment +
                "}";
    }
}
