package com.sunxung.factoring.entity.salescontractmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

/**
 * <p>
 * 销售合同-模板复审-审批意见表
 * </p>
 *
 * @author yafan
 * @since 2023-12-08
 */
@TableName("sales_contract_template_again_approval_comment_info")
public class SalesContractTemplateAgainApprovalCommentInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 销售合同-模板复审Id
     */
    @TableField("sales_contract_template_again_approval_info_id")
    private Long salesContractTemplateAgainApprovalInfoId;

    /**
     * 审批意见
     */
    @TableField("approval_comment")
    private String approvalComment;

    public Long getSalesContractTemplateAgainApprovalInfoId() {
        return salesContractTemplateAgainApprovalInfoId;
    }

    public void setSalesContractTemplateAgainApprovalInfoId(Long salesContractTemplateAgainApprovalInfoId) {
        this.salesContractTemplateAgainApprovalInfoId = salesContractTemplateAgainApprovalInfoId;
    }

    public String getApprovalComment() {
        return approvalComment;
    }

    public void setApprovalComment(String approvalComment) {
        this.approvalComment = approvalComment;
    }

    @Override
    public String toString() {
        return "SalesContractTemplateAgainApprovalCommentInfo{" +
                ", salesContractTemplateAgainApprovalInfoId=" + salesContractTemplateAgainApprovalInfoId +
                ", approvalComment=" + approvalComment +
                "}";
    }
}
