package com.sunxung.factoring.entity.sys;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
@TableName("c_sys_user")
public class ClientUserDO {

  @TableId(type = IdType.AUTO)
  private Long id;

  @TableField("login_name")
  private String loginName;  // '登录名',

  @TableField("login_name")
  private String userName; //'用户名',

  @TableField("password")
  private String password; //'密码',

  @TableField("mobile")
  private String mobile;// '手机号',

  @TableField("email")
  private String email;// '企业邮箱',

  @TableField("head_img_url")
  private String headImgUrl; // '头像图片链接',

  @TableField("enterprise_address")
  private String enterpriseAddress;// '企业地址',

  @TableField("province_id")
  private Long  provinceId;

  @TableField("city_id")
  private Long cityId;

  @TableField("referral_code")
  private String referralCode; //'推荐码',

  @TableField("project_manager")
  private Long projectManager;// '项目经理id',

  @TableField("risk_manager") //风险经理
  private Long  riskManager;

  @TableField("org_id") //归属组织id
  private Long orgId;

  @TableField("user_create")
  private String userCreate; // '创建人',

  @TableField("user_modified")
  private String userModified; // '修改人',

  @TableField("gmt_create")
  private Date gmtCreate; // '创建时间',

  @TableField("gmt_modified")
  private Date gmtModified; // '修改时间',
}
