package com.sunxung.factoring.entity.sys;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;


@TableName("c_sys_file")
public class FileStorageDO extends BaseEntity {

  @TableField("storage_type")
  private String storageType;

  //文件原始名称
  @TableField("original_name")
  private  String  originalName;

  //访问路径
  @TableField("path")
  private String  path;

  //绝对路径
  @TableField("absolute_path")
  private String absolutePath;

  //文件类型
  @TableField("type")
  private String type;

  @TableField(exist = false)
  private String fileType;

  //大小  kb
  @TableField("size")
  private Long size;

  //绑定的业务id
  @TableField("business_id")
  private Long businessId;

  //绑定的业务类型
  @TableField("business_type")
  private String businessType;

  /**
   * 文件地址
   */
  @TableField(exist = false)
  private String filePath;

  public String getFileType() {
    return fileType;
  }

  public void setFileType(String fileType) {
    this.fileType = fileType;
  }

  public String getStorageType() {
    return storageType;
  }

  public void setStorageType(String storageType) {
    this.storageType = storageType;
  }

  public String getOriginalName() {
    return originalName;
  }

  public void setOriginalName(String originalName) {
    this.originalName = originalName;
  }

  public String getPath() {
    return path;
  }

  public void setPath(String path) {
    this.path = path;
  }

  public String getAbsolutePath() {
    return absolutePath;
  }

  public void setAbsolutePath(String absolutePath) {
    this.absolutePath = absolutePath;
  }

  public String getType() {
    return type;
  }

  public void setType(String type) {
    this.type = type;
  }

  public Long getSize() {
    return size;
  }

  public void setSize(Long size) {
    this.size = size;
  }

  public Long getBusinessId() {
    return businessId;
  }

  public void setBusinessId(Long businessId) {
    this.businessId = businessId;
  }

  public String getBusinessType() {
    return businessType;
  }

  public void setBusinessType(String businessType) {
    this.businessType = businessType;
  }

  public String getFilePath() {
    return filePath;
  }

  public void setFilePath(String filePath) {
    this.filePath = filePath;
  }
}
