package com.sunxung.factoring.entity.sys.vo;

import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class ClientUserVO {

  private Long id;


  private String loginName;

  private String userName;

  private String phone;


  private String provinceName;


  private String cityName;

  private String enterpriseAddress;

  /**
   *  主体企业信息
   */
  private List<ClientUserCompanyInfoVO> list;

  /**
   * 是否有额度只用
   */
  private boolean useMoney;

  /**
   * 业务经理id
   */
  private Long projectManagerId;

  /**
   * 业务经理
   */
  private String projectManager;

  /**
   * 分控经理
   */
  private String  riskManager;

  /**
   * 项目负责人名字
   */
  private String  projectHead;

  /**
   * 分配的组id
   */
  private Long  orgId;


  private Date gmtCreate;

}
