package com.sunxung.factoring.mapper.bocom.vipaccount;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sunxung.factoring.entity.bocom.vipaccount.BocomTransRecords;
import com.sunxung.factoring.entity.bocom.vipaccount.Search.BocomTransRecordsSearch;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * <p>
 * 交易记录表 Mapper 接口
 * </p>
 *
 * @author liutao
 * @since 2024-08-23
 */
@Mapper
public interface BocomTransRecordsMapper extends BaseMapper<BocomTransRecords> {

    /**
     * @param search
     * @return
     */
    List<BocomTransRecords> transRecordsFindBySearch(BocomTransRecordsSearch search);

    /**
     * 条件查询 关于静默户的交易记录
     * @param search
     * @return
     */
    List<BocomTransRecords> transRecordsSilentFindBySearch(BocomTransRecordsSearch search);

    /**
     * 条件查询 关于登记簿的交易记录
     * @param search
     * @return
     */
    List<BocomTransRecords> transRecordsVipAccountFindBySearch(BocomTransRecordsSearch search);
}
