package com.sunxung.factoring.mapper.businessManagement;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sunxung.factoring.entity.businessmanagement.BusinessSupplierInfo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author liutao
 */
@Mapper
public interface BusinessSupplierInfoMapper extends BaseMapper<BusinessSupplierInfo> {
    /**
     * add
     * @param businessSupplierInfo
     */
    void add(BusinessSupplierInfo businessSupplierInfo);

    /**
     * 根据businessbasicinfoid  查询
     * @param businessBasicInfoId
     * @return
     */
    List<BusinessSupplierInfo> selectByBusinessBasicInfoId(Long businessBasicInfoId);
}
