package com.sunxung.factoring.mapper.customerinformation;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sunxung.factoring.entity.customerinformation.ElectronicSignaturePersonal;
import com.sunxung.factoring.entity.entprise.Enterprise;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * --电子签个人信息表 Mapper 接口
 * </p>
 *
 * @author liutao
 * @since 2023-05-13
 */
public interface ElectronicSignaturePersonalMapper extends BaseMapper<ElectronicSignaturePersonal> {

    List<Enterprise> findByComName(@Param("name") String name, @Param("status") Integer status);

    List<ElectronicSignaturePersonal> findByName(@Param("name") String name, @Param("status") Integer status);
}
