package com.sunxung.factoring.mapper.financing.review;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sunxung.factoring.entity.financing.review.ReviewQuotaDisburse;
import org.apache.ibatis.annotations.Mapper;

/**
 * @Description : 额度支用Mapper
 * @Author : L.Jia
 * @Date: 2024-01-02 13:46
 */

@Mapper
public interface ReviewQuotaDisburseMapper extends BaseMapper<ReviewQuotaDisburse> {

    /**
     * 根据业务编号查询额度支用的最大批次
     *
     * @param businessNumber 业务编号
     * @return int 返回已有的最大的批次
     */
    int getMaxBatchByBusinessNo(String businessNumber);
}
