package com.sunxung.factoring.mapper.fundmanagement;

import com.sunxung.factoring.entity.fundmanagement.FinancialCustomerExpenditureInfo;
import com.sunxung.factoring.entity.project.vo.BusinessProcessingTaskVo;
import com.sunxung.factoring.entity.project.vo.SearchBusinessProcessingTask;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @Description : 客户支用信息mapper
 * @Author : L.Jia
 * @Date: 2023-02-23 14:45
 */
@Mapper
public interface FinancialCustomerExpenditureMapper {

    /**
     * 获取详情信息
     *
     * @param id
     * @return
     */
    FinancialCustomerExpenditureInfo getDetail(Long id);

    /**
     * 查询全部列表
     * @param search
     * @return
     */
    List<BusinessProcessingTaskVo> findAllList(SearchBusinessProcessingTask search);


}
