package com.sunxung.factoring.mapper.purchcontractmanagement;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sunxung.factoring.entity.purchcontractmanagement.PurchContractElectronicInfo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @Description : 采购合同电子合同信息Mapper
 * @Author : JiaYf
 * @Date: 2021-09-22 18:07
 */
@Mapper
public interface PurchContractElectronicInfoMapper extends BaseMapper<PurchContractElectronicInfo> {

    /**
     * 据采购合同签署确认表Id获取
     * @param id
     * @return
     */
    List<PurchContractElectronicInfo> findByPurchContBasicId(Long id);
}
