package com.sunxung.factoring.mapper.purchcontractmanagement;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sunxung.factoring.entity.purchcontractmanagement.PurchContractPriceRule;
import org.apache.ibatis.annotations.Mapper;

/**
 * @Description : 采购合同价格规则Mapper
 * @Author : JiaYf
 * @Date: 2021-09-15 14:51
 */
@Mapper
public interface PurchContractPriceRuleMapper extends BaseMapper<PurchContractPriceRule> {

    /**
     * 根据采购合同基础信息Id查询
     * @param purchContId
     * @return
     */
    PurchContractPriceRule findByPurchContId(Long purchContId);
}
