package com.sunxung.factoring.mapper.salescontractmanagement;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sunxung.factoring.entity.salescontractmanagement.SalesContractRetentionInfo;
import org.apache.ibatis.annotations.Mapper;

/**
 * @Description : 销售合同质保金信息Mapper
 * @Author : L.Jia
 * @Date: 2021-09-14 11:50
 */
@Mapper
public interface SalesContractRetentionInfoMapper extends BaseMapper<SalesContractRetentionInfo> {

    /**
     * 根据销售合同基础信息Id获取质保金信息
     *
     * @param basicInfoId
     * @return
     */
    SalesContractRetentionInfo findByBasicInfoId(Long basicInfoId);
}
