package com.sunxung.factoring.mapper.signconfirmation;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sunxung.factoring.entity.project.vo.BusinessProcessingTaskVo;
import com.sunxung.factoring.entity.project.vo.SearchBusinessProcessingTask;
import com.sunxung.factoring.entity.signconfirmation.SignConfirmation;

import java.util.List;

/**
 * <p>
 * --销售合同审核人员信息历史表 Mapper 接口
 * </p>
 *
 * @author liutao
 * @since 2023-05-16
 */
public interface SignConfirmationMapper extends BaseMapper<SignConfirmation> {

    List<BusinessProcessingTaskVo> findMyCompletedList(SearchBusinessProcessingTask search);

    List<BusinessProcessingTaskVo> findAllList(SearchBusinessProcessingTask search);
}
