package com.sunxung.factoring.service.acceptancesheet;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sunxung.factoring.entity.acceptance.AcceptanceBasicInfo;
import com.sunxung.factoring.entity.acceptance.AcceptancePriceAdjustHisInfo;
import com.sunxung.factoring.entity.acceptance.CAcceptancePriceAdjustInfo;

/**
 * <p>
 * 验收单单价调整表 服务类
 * </p>
 *
 * @author yafan
 * @since 2023-12-19
 */
public interface ICAcceptancePriceAdjustInfoService extends IService<CAcceptancePriceAdjustInfo> {


    /**
     * 开启调价流程
     * @param acceptancePriceAdjustInfo
     */
    void startProcess(CAcceptancePriceAdjustInfo acceptancePriceAdjustInfo);

    /**
     * 流程处理
     */
    void handleProcess(CAcceptancePriceAdjustInfo acceptancePriceAdjustInfo);


    AcceptancePriceAdjustHisInfo getView(Long id);


    AcceptanceBasicInfo get(Long id);


}
