package com.sunxung.factoring.service.biddingManagement;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sunxung.factoring.entity.biddingManagement.BiddingBondCollectionConfirmation;

/**
 * <p>
 * 招投标管理-保证金收款确认表 服务类
 * </p>
 *
 * @author yafan
 * @since 2023-11-21
 */
public interface IBiddingBondCollectionConfirmationService extends IService<BiddingBondCollectionConfirmation> {

    /**
     * 保证金收款确认
     *
     * @param biddingBondCollectionConfirmation
     */
    void add(BiddingBondCollectionConfirmation biddingBondCollectionConfirmation);

    /**
     * 查询信息、用于历史列表展示
     *
     * @param formBusinessId
     * @return
     */
    BiddingBondCollectionConfirmation getView(Long formBusinessId);
}
