package com.sunxung.factoring.service.bocom.log;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sunxung.factoring.entity.GridPage;
import com.sunxung.factoring.entity.bocom.log.BocomRequestLog;
import com.sunxung.factoring.entity.bocom.log.BocomRequestLogSearch;

/**
 * @Description : 交行接口请求日志service
 * @Author : L.Jia
 * @Date: 2024-08-01 10:57
 */
public interface IBocomRequestLogService extends IService<BocomRequestLog> {

    /**
     * 列表页查询
     *
     * @param search 查询类
     * @return
     */
    GridPage<BocomRequestLog> findBySearch(BocomRequestLogSearch search);
}
