package com.sunxung.factoring.service.businessmanagement;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sunxung.factoring.entity.businessmanagement.BusinessSupplierInfo;

import java.util.List;

/**
 * @author liutao
 */
public interface BusinessSupplierInfoService extends IService<BusinessSupplierInfo> {

    /**
     * 根据业务基础信息Id获取供应商列表
     *
     * @param businessBasicInfoId
     * @return
     */
    List<BusinessSupplierInfo> findByBasicInfoId(Long businessBasicInfoId);

    /**
     * 根据业务编号获取列表
     *
     * @param businessNumber
     * @return
     */
    List<BusinessSupplierInfo> getSupplierList(String businessNumber);
}
