package com.sunxung.factoring.service.businessmanagement;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sunxung.factoring.entity.businessmanagement.BusinessBondCollectionConfirmation;

/**
 * <p>
 * 业务管理 保证金收款确认 服务类
 * </p>
 *
 * @author liutao
 * @since 2023-02-27
 */
public interface IBusinessBondCollectionConfirmationService extends IService<BusinessBondCollectionConfirmation> {

    /**
     * 保证金收款确认
     * @param businessBondCollectionConfirmation
     */
    void add(BusinessBondCollectionConfirmation businessBondCollectionConfirmation);

    /**
     * 查询信息、用于历史列表展示
     *
     * @param formBusinessId
     * @return
     */
    BusinessBondCollectionConfirmation getView(Long formBusinessId);
}
