package com.sunxung.factoring.service.businessmanagement;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sunxung.factoring.entity.businessmanagement.BusinessTemplateReview;

/**
 * <p>
 * 业务管理模板审核信息 服务类
 * </p>
 *
 * @author liutao
 * @since 2023-02-27
 */
public interface IBusinessTemplateReviewService extends IService<BusinessTemplateReview> {

    /**
     * 模板审核
     * @param businessTemplateReview
     */
    void add(BusinessTemplateReview businessTemplateReview);

    /**
     * 查看流程历史
     * @param formBusinessId
     * @return
     */
    BusinessTemplateReview getView(Long formBusinessId);
}
