package com.sunxung.factoring.service.cashflowmanage;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sunxung.factoring.entity.cashflowmanage.CashFlowManageEntryInfo;

/**
 * @Description : 现金流管理入账信息service
 * @Author : JiaYf
 * @Date: 2021-11-02 18:01
 */
public interface CashFlowManageEntryInfoService extends IService<CashFlowManageEntryInfo> {


    /**
     * 根据现金流基础信息表Id查询
     *
     * @param cashFlowManageBaseId 现金流基础信息表Id
     * @return
     */
    CashFlowManageEntryInfo findByBaseInfo(Long cashFlowManageBaseId);
}
