package com.sunxung.factoring.service.creditresolution;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sunxung.factoring.entity.creditresolution.CreditResolution;
import com.sunxung.factoring.entity.creditresolution.CreditResolutionApproval;
import com.sunxung.factoring.entity.creditresolution.CreditResolutionHistory;

/**
 * <p>
 * 授信决议审核结论 服务类
 * </p>
 *
 * @author liutao
 * @since 2023-12-21
 */
public interface ICreditResolutionApprovalService extends IService<CreditResolutionApproval> {

    void test(Long id);

    /**
     * 授信决议确认
     * @param creditResolution
     */
    void addInfo(CreditResolution creditResolution);

    /**
     * 查看表单详情
     * @param id
     * @return
     */
    CreditResolutionHistory getView(Long id);
}
