package com.sunxung.factoring.service.creditresolution;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sunxung.factoring.entity.creditresolution.CreditResolutionHistory;
import com.sunxung.factoring.entity.creditresolution.ReconsiderAdjust;

/**
 * <p>
 * 复议调整 服务类
 * </p>
 *
 * @author liutao
 * @since 2023-12-21
 */
public interface IReconsiderAdjustService extends IService<ReconsiderAdjust> {

    /**
     * 复议调整申请
     * @param reconsiderAdjust
     */
    void add(ReconsiderAdjust reconsiderAdjust);


    /**
     * 查看表单详情
     * @param id
     * @return
     */
    ReconsiderAdjust getView(Long id);
}
