package com.sunxung.factoring.service.customerinformation;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sunxung.factoring.entity.customerinformation.SupplierBankCardInfo;

import java.util.List;

/**
 * @author yaFan
 */
public interface SupplierBankCardInfoService extends IService<SupplierBankCardInfo> {

    /**
     * 根据供应商ID查询银行卡账户信息
     * @param id 查询条件
     * @return 符合条件的银行卡账户信息列表列表
     */
    List<SupplierBankCardInfo> findBySupplierId(Long id);

}
