package com.sunxung.factoring.service.financing.apply;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sunxung.factoring.entity.financing.apply.CFinancingBasicInfo;
import com.sunxung.factoring.entity.project.vo.BusinessProcessingTaskVo;
import com.sunxung.factoring.entity.project.vo.SearchBusinessProcessingTask;

import java.util.List;

/**
 * <p>
 * 融资申请-基础信息表 服务类
 * </p>
 *
 * @author liutao
 * @since 2023-12-19
 */
public interface ICFinancingBasicInfoService extends IService<CFinancingBasicInfo> {

    /**
     * 获取列表页信息
     *
     * @param id
     * @return
     */
    CFinancingBasicInfo get(Long id);

    /**
     * 查询全部
     *
     * @return
     */
    List<BusinessProcessingTaskVo> findAll(SearchBusinessProcessingTask search);
}
