package com.sunxung.factoring.service.financing.contract;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sunxung.factoring.entity.financing.contract.ContractSignConfirm;

/**
 * @Description : 合同签署确认service
 * @Author : L.Jia
 * @Date: 2024-02-23 14:07
 */
public interface IContractSignConfirmService extends IService<ContractSignConfirm> {

    /**
     * 合同签署确认提交
     *
     * @param contractSignConfirm
     * @return
     */
    ContractSignConfirm editContractSignConfirm(ContractSignConfirm contractSignConfirm);

    /**
     * 合同签署确认详情页查看
     *
     * @param id
     * @return
     */
    ContractSignConfirm getView(Long id);
}
