package com.sunxung.factoring.service.financing.contract;

import com.sunxung.factoring.entity.financing.contract.ContractInfo;

import java.io.File;
import java.util.List;

/**
 * @Description : 新合同制作service
 * @Author : L.Jia
 * @Date: 2024-02-19 20:43
 */
public interface INewContractMakingService {

    /**
     * 新合同制作方法
     *
     * @param type         合同类型
     * @param id           主表id
     * @param contractInfo 合同制作信息
     */
    File createContractDocument(String type, Long id, ContractInfo contractInfo);
}
