package com.sunxung.factoring.service.financing.contract.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sunxung.factoring.entity.financing.contract.ElectronicPersonInfo;
import com.sunxung.factoring.mapper.financing.contract.ElectronicPersonInfoMapper;
import com.sunxung.factoring.service.financing.contract.IElectronicPersonInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 个人电子签信息表 服务实现类
 * </p>
 *
 * @author liutao
 * @since 2022-07-09
 */
@Service
public class ElectronicPersonInfoServiceImpl extends ServiceImpl<ElectronicPersonInfoMapper, ElectronicPersonInfo> implements IElectronicPersonInfoService {

    @Autowired
    private ElectronicPersonInfoMapper electronicPersonInfoMapper;

    @Override
    public ElectronicPersonInfo getBySocialCreditCode(String socialCreditCode) {
        return electronicPersonInfoMapper.getBySocialCreditCode(socialCreditCode);
    }
}
