package com.sunxung.factoring.service.financing.payment;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sunxung.factoring.entity.financing.payment.ExemptionApprovalBusiness;
import com.sunxung.factoring.entity.financing.payment.ExemptionApprovalRisk;

/**
 * <p>
 * --付款申请-豁免审批表（风控） 服务类
 * </p>
 *
 * @author liutao
 * @since 2023-04-19
 */
public interface IExemptionApprovalRiskService extends IService<ExemptionApprovalRisk> {
    /**
     * 提交审核
     *
     * @param exemptionApprovalRisk
     */
    void edit(ExemptionApprovalRisk exemptionApprovalRisk);

    /**
     * 获取豁免-风控审核详情
     *
     * @param id
     * @return
     */
    ExemptionApprovalRisk getView(Long id);
}
