package com.sunxung.factoring.service.financing.review;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sunxung.factoring.entity.financing.review.ReviewMortgageBasicInfoHis;

import java.util.List;

/**
 * <p>
 * 额度支用-抵质押基础信息-历史表 服务类
 * </p>
 *
 * @author liutao
 * @since 2024-01-09
 */
public interface IReviewMortgageBasicInfoHisService extends IService<ReviewMortgageBasicInfoHis> {

    /**
     * 根据额度支用Id查询抵质押历史信息
     *
     * @param quotaDisburseId
     * @return
     */
    List<ReviewMortgageBasicInfoHis> findHistoryByQuotaDisburseId(Long quotaDisburseId);
}
