package com.sunxung.factoring.service.invoicemanage;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sunxung.factoring.entity.invoicemanage.InvoiceApproval;

import javax.servlet.http.HttpServletRequest;

/**
 * @Author : liutao
 * @Date: 2022-3-22
 */
public interface InvoiceApprovalService extends IService<InvoiceApproval> {


    /**
     * 财务审核
     * @param invoiceApproval
     * @param businessKey
     * @param taskId
     * @return
     */
    void audit(InvoiceApproval invoiceApproval, String businessKey, String taskId, HttpServletRequest request);


    /**
     * 查询信息、用于历史列表展示
     *
     * @param id
     * @return
     */
    InvoiceApproval getView(Long id);

    /**
     * 获取审核页面的货物
     * @param businessKey
     * @return
     */
    InvoiceApproval getFileList(Long businessKey);
}
