package com.sunxung.factoring.service.ledger;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sunxung.factoring.entity.ledger.LedgerFundPossessionCost;

import java.util.List;

/**
 * @author liutao
 * @date 2021.11.11
 */
public interface LedgerFundPossessionCostService extends IService<LedgerFundPossessionCost> {

    /**
     * 根据basicId获取资金占用费列表
     *
     * @param basicId
     * @return
     */
    List<LedgerFundPossessionCost> findByBasicId(Long basicId);

    /**
     * 根据basicId删除
     *
     * @param basicId
     */
    void deleteByBasicId(Long basicId);
}
