package com.sunxung.factoring.service.ledger;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sunxung.factoring.entity.ledger.LedgerPlanFactoringAssign;

import java.util.List;

/**
 * @Description : 分账管理-账后收放款计划分配service
 * @Author : L.Jia
 * @Date: 2021-12-10 14:49
 */
public interface LedgerPlanFactoringAssignService extends IService<LedgerPlanFactoringAssign> {

    /**
     * 根据货款分配Id查询
     *
     * @param ledgerFundGoodsAssignId
     * @return
     */
    List<LedgerPlanFactoringAssign> findByFundGoodsAssignId(Long ledgerFundGoodsAssignId);

    /**
     * 根据分账基础信息表Id查询
     *
     * @param basicInfoId
     * @return
     */
    List<LedgerPlanFactoringAssign> findByBasicInfoId(Long basicInfoId);
}
