package com.sunxung.factoring.service.project;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sunxung.factoring.entity.project.ProjectAudit;
import com.sunxung.factoring.entity.project.ProjectOwnerComprehensiveEvaluation;

/**
 * <p>
 * 项目企业审核 服务类
 * </p>
 *
 * @author liutao
 * @since 2023-12-15
 */
public interface IProjectAuditService extends IService<ProjectAudit> {

    /**
     * 获取项目审核信息
     * @param id
     * @return
     */
    ProjectAudit getProjectAuditInfo(Long id);

        /**
     * 保存项目审核信息
     * @param projectAuditInfo
     */
    void addProjectAuditInfo(ProjectAudit projectAuditInfo);

    /**
     * 查看表单详情
     * @param id
     * @return
     */
    ProjectAudit getView(Long id);

    /**
     * 一键测算
     * @param projectAuditInfo
     * @return
     */
    ProjectOwnerComprehensiveEvaluation measurement(Long projectAuditId ,ProjectAudit projectAuditInfo);

}
