package com.sunxung.factoring.service.purchcontractmanagement;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sunxung.factoring.entity.purchcontractmanagement.PurchContractSettleCycle;

/**
 * @Description : 采购合同结算周期service
 * @Author : JiaYf
 * @Date: 2021-09-15 14:39
 */
public interface PurchContractSettleCycleService extends IService<PurchContractSettleCycle> {

    /**
     * 根据采购合同基础信息获取
     * @param purchContId
     * @return
     */
    PurchContractSettleCycle findByPurchContId(Long purchContId);

}
