package com.sunxung.factoring.service.purchcontractmanagement.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sunxung.factoring.entity.purchcontractmanagement.PurchContractPriceRule;
import com.sunxung.factoring.mapper.purchcontractmanagement.PurchContractPriceRuleMapper;
import com.sunxung.factoring.service.purchcontractmanagement.PurchContractPriceRuleService;
import org.springframework.stereotype.Service;

/**
 * @Description : 采购合同价格规则service实现类
 * @Author : JiaYf
 * @Date: 2021-09-15 14:46
 */
@Service
public class PurchContractPriceRuleServiceImpl extends ServiceImpl<PurchContractPriceRuleMapper, PurchContractPriceRule>
        implements PurchContractPriceRuleService {

    @Override
    public PurchContractPriceRule findByPurchContId(Long purchContId) {

        return baseMapper.findByPurchContId(purchContId);
    }

}
