package com.sunxung.factoring.service.purchcontractmanagement.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sunxung.factoring.entity.purchcontractmanagement.PurchContractPunishClause;
import com.sunxung.factoring.mapper.purchcontractmanagement.PurchContractPunishClauseMapper;
import com.sunxung.factoring.service.purchcontractmanagement.PurchContractPunishClauseService;
import org.springframework.stereotype.Service;

/**
 * @Description : 采购合同违约条款service实现类
 * @Author : JiaYf
 * @Date: 2021-09-17 19:19
 */
@Service
public class PurchContractPunishClauseServiceImpl extends ServiceImpl<PurchContractPunishClauseMapper, PurchContractPunishClause>
        implements PurchContractPunishClauseService {

    @Override
    public PurchContractPunishClause findByPurchContApprId(Long id) {
        QueryWrapper queryWrapper = new QueryWrapper();
        queryWrapper.eq("purch_contract_basic_info_id", id);
        return baseMapper.selectOne(queryWrapper);
    }
}
