package com.sunxung.factoring.service.purchcontractmanagement.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sunxung.factoring.entity.purchcontractmanagement.PurchContractRetentionInfo;
import com.sunxung.factoring.mapper.purchcontractmanagement.PurchContractRetentionInfoMapper;
import com.sunxung.factoring.service.purchcontractmanagement.PurchContractRetentionInfoService;
import org.springframework.stereotype.Service;

/**
 * @Description : 采购合同质保金信息service实现类
 * @Author : JiaYf
 * @Date: 2021-09-15 14:46
 */
@Service
public class PurchContractRetentionInfoServiceImpl extends ServiceImpl<PurchContractRetentionInfoMapper, PurchContractRetentionInfo>
        implements PurchContractRetentionInfoService {

    @Override
    public PurchContractRetentionInfo findByPurchContId(Long purchContId) {

        return baseMapper.findByPurchContId(purchContId);
    }

}
