package com.sunxung.factoring.service.purchcontractmanagement.impl;


import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sunxung.factoring.entity.purchcontractmanagement.PurchContractSettlePaymentHistory;
import com.sunxung.factoring.mapper.purchcontractmanagement.PurchContractSettlePaymentHistoryMapper;
import com.sunxung.factoring.service.purchcontractmanagement.IPurchContractSettlePaymentHistoryService;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 采购合同-结算与付款表 服务实现类
 * </p>
 *
 * @author liutao
 * @since 2022-06-13
 */
@Service
public class PurchContractSettlePaymentHistoryServiceImpl extends ServiceImpl<PurchContractSettlePaymentHistoryMapper, PurchContractSettlePaymentHistory> implements IPurchContractSettlePaymentHistoryService {

    @Override
    public PurchContractSettlePaymentHistory getByBasicId(Long basicId) {
        return baseMapper.getByBasicId(basicId);
    }
}
