package com.sunxung.factoring.service.purchcontractmanagement.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sunxung.factoring.entity.purchcontractmanagement.PurchContractSettlePayment;
import com.sunxung.factoring.mapper.purchcontractmanagement.PurchContractSettlePaymentMapper;
import com.sunxung.factoring.service.purchcontractmanagement.PurchContractSettlePaymentService;
import org.springframework.stereotype.Service;

/**
 * @Description : 采购合同结算与付款service实现类
 * @Author : JiaYf
 * @Date: 2021-09-17 19:16
 */
@Service
public class PurchContractSettlePaymentServiceImpl extends ServiceImpl<PurchContractSettlePaymentMapper, PurchContractSettlePayment>
        implements PurchContractSettlePaymentService {
    @Override
    public PurchContractSettlePayment findByPurchContApprId(Long id) {

        return baseMapper.findByPurchContBasicId(id);
    }

}
