package com.sunxung.factoring.service.salescontractmanagement;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sunxung.factoring.entity.salescontractmanagement.CSalesSignConfirmation;
import com.sunxung.factoring.entity.salescontractmanagement.vo.SalesSignConfirmVo;

/**
 * <p>
 * 销售合同销售-签署确认表 服务类
 * </p>
 *
 * @author yafan
 * @since 2023-11-28
 */
public interface ICSalesSignConfirmationService extends IService<CSalesSignConfirmation> {

    /**
     * 签署确认-提交
     * @param salesSignConfirmation
     */
    void doAdd(CSalesSignConfirmation salesSignConfirmation);

    CSalesSignConfirmation getView(Long id);

    void urlJob();
}
