package com.sunxung.factoring.service.salescontractmanagement;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sunxung.factoring.entity.customerinformation.ElectronicSignaturePersonal;
import com.sunxung.factoring.entity.salescontractmanagement.CSalesSupplementSignConfirmation;
import com.sunxung.factoring.entity.salescontractmanagement.CSalesSupplementSignConfirmationElectronicInfo;
import com.sunxung.factoring.entity.salescontractmanagement.vo.SalesSignConfirmVo;

import java.util.List;

/**
 * <p>
 * 销售合同变更-签署确认表 服务类
 * </p>
 *
 * @author yafan
 * @since 2023-12-13
 */
public interface ICSalesSupplementSignConfirmationService extends IService<CSalesSupplementSignConfirmation> {

    /**
     * 签署确认-提交
     *
     * @param salesSupplementSignConfirmation
     */
    void doAdd(CSalesSupplementSignConfirmation salesSupplementSignConfirmation);

    CSalesSupplementSignConfirmation getView(Long id);

    CSalesSupplementSignConfirmation uploadContract(CSalesSupplementSignConfirmation salesSignConfirmation);

    void urlJob();
}
