package com.sunxung.factoring.service.salescontractmanagement;

import com.sunxung.factoring.entity.salescontractmanagement.SalesContractSupplementApproval;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 销售合同-变更审核表 服务类
 * </p>
 *
 * @author daxian
 * @since 2022-03-03
 */
public interface ISalesContractSupplementApprovalService extends IService<SalesContractSupplementApproval> {

    SalesContractSupplementApproval getView(Long id);

    /**
     * 变更审核-提交
     * @param supplementApproval
     */
    void doApproval(SalesContractSupplementApproval supplementApproval);

    /**
     * 变更审核
     * @param managementId
     * @return
     */
    SalesContractSupplementApproval approval(Long managementId);

}
