package com.sunxung.factoring.service.salescontractmanagement;

import com.sunxung.factoring.entity.salescontractmanagement.SalesContractSupplementGoodsInfo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 销售合同-补充货物信息表 服务类
 * </p>
 *
 * @author daxian
 * @since 2022-03-03
 */
public interface ISalesContractSupplementGoodsInfoService extends IService<SalesContractSupplementGoodsInfo> {

    /**
     * 获取所有货物信息，包含采购合同货物信息及变更合同货物信息
     * @return
     */
    List<SalesContractSupplementGoodsInfo> getGoodsInfosWithSupplementGoods(Long salesContractManagementId,Long salasContractBasicId);
}