package com.sunxung.factoring.service.salescontractmanagement;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sunxung.factoring.entity.salescontractmanagement.CSalesContractSupplementInfo;
import com.sunxung.factoring.entity.salescontractmanagement.SalesContractSupplementHisInfo;
import com.sunxung.factoring.entity.salescontractmanagement.vo.SalesContractBasicVo;

/**
 * <p>
 * 销售合同-补充信息表 服务类
 * </p>
 *
 * @author daxian
 * @since 2022-03-03
 */
public interface ISalesContractSupplementInfoService extends IService<CSalesContractSupplementInfo> {

    /**
     * 变更
     *
     * @param salesContractChangeVo
     * @param request
     * @return
     */
    boolean doChange(CSalesContractSupplementInfo salesContractSupplementInfo);

    /**
     * 变更录入查看
     *
     * @param id
     * @return
     */
    SalesContractSupplementHisInfo getView(Long id);

    /**
     *
     * @param businessKey
     * @return
     */
//    List<FileStorage> getChangeFiles(Long businessKey);
}
