package com.sunxung.factoring.service.salescontractmanagement;

import com.sunxung.factoring.entity.salescontractmanagement.SalesContractApproval;
import com.sunxung.factoring.entity.salescontractmanagement.SalesContractTemplateAgainApprovalInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.sunxung.factoring.entity.salescontractmanagement.vo.SalesContractApprovalVo;

import javax.servlet.http.HttpServletRequest;

/**
 * <p>
 * 销售合同-模板复审表 服务类
 * </p>
 *
 * @author yafan
 * @since 2023-12-08
 */
public interface ISalesContractTemplateAgainApprovalInfoService extends IService<SalesContractTemplateAgainApprovalInfo> {


    /**
     * 查询信息、用于历史列表展示
     *
     * @param id
     * @return
     */
    SalesContractTemplateAgainApprovalInfo getView(Long id);

    /**
     * 法务审核
     *
     * @param againApprovalInfo
     */
    void audit(SalesContractTemplateAgainApprovalInfo againApprovalInfo);

}
