package com.sunxung.factoring.service.salescontractmanagement;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sunxung.factoring.entity.salescontractmanagement.SalesContractSupplementApproval;
import com.sunxung.factoring.entity.salescontractmanagement.vo.SalesContractApprovalVo;

/**
 * @Description : 销售合同变更审批service
 * @Author : L.Jia
 * @Date: 2021-09-15 17:50
 */
public interface SalesContractChangeApprovalService extends IService<SalesContractSupplementApproval> {

    /**
     * 查询信息、用于历史列表展示
     *
     * @param id
     * @return
     */
    SalesContractSupplementApproval getView(Long id);
}
