package com.sunxung.factoring.service.salescontractmanagement;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sunxung.factoring.entity.salescontractmanagement.SalesContractSettleInfo;

/**
 * @Description : 销售合同结算信息service
 * @Author : L.Jia
 * @Date: 2021-09-14 11:09
 */
public interface SalesContractSettleInfoService extends IService<SalesContractSettleInfo> {

    /**
     * 根据销售合同基础信息获取
     *
     * @param basicInfoId
     * @return
     */
    SalesContractSettleInfo findByBasicInfoId(Long basicInfoId);
}
