package com.sunxung.factoring.service.salescontractmanagement.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sunxung.factoring.entity.salescontractmanagement.SalesContractSupplementApproval;
import com.sunxung.factoring.mapper.salescontractmanagement.SalesContractSupplementApprovalMapper;
import com.sunxung.factoring.service.salescontractmanagement.SalesContractChangeApprovalService;
import org.springframework.stereotype.Service;

/**
 * @Description : 销售合同审批service实现类
 * @Author : L.Jia
 * @Date: 2021-09-15 17:51
 */
@Service("sales_contract_change_approvalService")
public class SalesContractChangeApprovalServiceImpl extends ServiceImpl<SalesContractSupplementApprovalMapper, SalesContractSupplementApproval>
        implements SalesContractChangeApprovalService {

    @Override
    public SalesContractSupplementApproval getView(Long id) {
        return getById(id);
    }
}
