package com.sunxung.factoring.service.salescontractmanagement.impl;

import com.sunxung.factoring.entity.salescontractmanagement.SalesContractBasicInfoHistory;
import com.sunxung.factoring.entity.salescontractmanagement.vo.SalesContractVo;
import com.sunxung.factoring.service.salescontractmanagement.ICSalesContractBasicInfoService;
import com.sunxung.factoring.service.salescontractmanagement.SalesContractChangeBasicInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @Description : 销售合同变更信息service实现类
 * @Author : L.Jia
 * @Date: 2021-09-14 10:19
 */
@Service("sales_contract_changeService")
public class SalesContractChangeBasicInfoServiceImpl implements SalesContractChangeBasicInfoService {

    @Autowired
    private ICSalesContractBasicInfoService salesContractBasicInfoService;

    @Override
    public SalesContractBasicInfoHistory getView(Long id) {
        return salesContractBasicInfoService.getView(id);
    }

}
