package com.sunxung.factoring.service.salescontractmanagement.impl;

import com.sunxung.factoring.entity.salescontractmanagement.SalesContractSupplementGoodsInfo;
import com.sunxung.factoring.mapper.salescontractmanagement.SalesContractSupplementGoodsInfoMapper;
import com.sunxung.factoring.service.salescontractmanagement.ISalesContractSupplementGoodsInfoService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 销售合同-补充货物信息表 服务实现类
 * </p>
 *
 * @author daxian
 * @since 2022-03-03
 */
@Service
public class SalesContractSupplementGoodsInfoServiceImpl extends ServiceImpl<SalesContractSupplementGoodsInfoMapper, SalesContractSupplementGoodsInfo> implements ISalesContractSupplementGoodsInfoService {


    @Override
    public List<SalesContractSupplementGoodsInfo> getGoodsInfosWithSupplementGoods(Long salesContractManagementId, Long salasContractBasicId) {
        return getBaseMapper().getGoodsInfosWithSupplementGoods(salesContractManagementId,salasContractBasicId);
    }

}
