package com.sunxung.factoring.service.supplier;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sunxung.factoring.entity.supplier.ConfirmationDueDiligenceTime;

/**
 * <p>
 * 尽调时间确认 服务类
 * </p>
 *
 * @author liutao
 * @since 2023-12-09
 */
public interface IConfirmationDueDiligenceTimeService extends IService<ConfirmationDueDiligenceTime> {

    /**
     * 获取尽调时间确认的信息
     * @param supplierId
     * @return
     */
    ConfirmationDueDiligenceTime getDueDiligenceConfirm(Long supplierId);

    /**
     * 尽调时间确认
     * @param confirmationDueDiligenceTime
     */
    void dueDiligenceConfirm(ConfirmationDueDiligenceTime confirmationDueDiligenceTime);

    /**
     * 查看审核详情
     * @param id
     * @return
     */
    ConfirmationDueDiligenceTime getView(Long id);
}
