package com.sunxung.factoring.service.supplier;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sunxung.factoring.entity.supplier.DueDiligenceAppointment;

/**
 * <p>
 * 尽调预约 服务类
 * </p>
 *
 * @author liutao
 * @since 2023-11-25
 */
public interface IDueDiligenceAppointmentService extends IService<DueDiligenceAppointment> {

    /**
     * 完成尽调预约
     * @param id
     * @param historyId
     */
    void completeDueDiligenceAppointment(Long id, Long historyId);

    /**
     * 查看审核详情
     * @param id
     * @return
     */
    DueDiligenceAppointment getView(Long id);
}
