package com.sunxung.factoring.service.supplier;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sunxung.factoring.entity.supplier.SupplierApprovalSecond;

/**
 * <p>
 * 供应商审核第二步 服务类
 * </p>
 *
 * @author liutao
 * @since 2023-12-05
 */
public interface ISupplierApprovalSecondService extends IService<SupplierApprovalSecond> {

    /**
     * 取第二步审核信息
     * @param id
     * @return
     */
    SupplierApprovalSecond getSecondReviewById(Long id);

    /**
     * 第二次审核接口
     * @param supplierApprovalSecond
     */
    void secondReview(SupplierApprovalSecond supplierApprovalSecond);

    /**
     * 查看表单详情
     * @param id
     * @return
     */
    SupplierApprovalSecond getView(Long id);

    /**
     * 一件测算
     * @param supplierApprovalSecond
     * @return
     */
    SupplierApprovalSecond measurement(SupplierApprovalSecond supplierApprovalSecond);
}
