package com.sunxung.factoring.service.tradingPlatform;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sunxung.factoring.entity.tradingPlatform.TradingPlatformInvoiceInfo;

/**
 * @Description 贸易平台开票信息服务接口
 * @Author Yafan Wang
 * @Date 2023/3/9 14:10
 */
public interface TradingPlatformInvoiceInfoService extends IService<TradingPlatformInvoiceInfo> {

    /**
     * 通过贸易平台id查询
     * @param platformId
     * @return
     */
    TradingPlatformInvoiceInfo findByPlatformId(Long platformId);
}
