package com.sunxung.factoring.web.financing;

import com.sunxung.factoring.entity.ResponseJson;
import com.sunxung.factoring.entity.financing.contractTemplate.vo.SynchronizeVo;
import com.sunxung.factoring.service.financing.contractTemplate.IContractTemplateService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author liutao
 * @date 2024-3-4
 */
@RestController
public class ContractTemplateController {

    @Autowired
    private IContractTemplateService contractTemplateService;

    @RequestMapping("api/synchronize/contract/template")
    public ResponseJson SynchronizeContractTemplate(SynchronizeVo synchronizeVo) {
        contractTemplateService.SynchronizeContractTemplate(synchronizeVo);
        return new ResponseJson();
    }
}
