package com.sunxung.factoring.web.fundmanagement;

import com.sunxung.factoring.entity.GridPage;
import com.sunxung.factoring.entity.ResponseJson;
import com.sunxung.factoring.entity.fundmanagement.OverviewOfCooperation;
import com.sunxung.factoring.entity.fundmanagement.vo.FundSearchVo;
import com.sunxung.factoring.service.fundmanagement.OverviewOfCooperationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 合作概况
 * @author liutao
 * @date 2023-02-17
 * @describe:合作概况
 */
@RestController
@RequestMapping("overview/cooperation")
public class OverviewOfCooperationController {

    @Autowired
    private OverviewOfCooperationService overviewOfCooperationService;

    /**
     * 合作概况列表
     * @param fundSearchVo
     * @return
     */
    @RequestMapping("list")
    public GridPage<OverviewOfCooperation> list(@RequestBody FundSearchVo fundSearchVo){
        GridPage<OverviewOfCooperation> list = overviewOfCooperationService.list(fundSearchVo);
        return list;
    }
}
