// 文件
import * as upload from './upload.js'

// 公共接口
import * as dictionary from './dictionary.js'

// 资方管理-关联支用
import * as relationDisburse from './capitalManage/relationDisburse.js'

// 资方管理-客户信息
import * as customerInfo from './capitalManage/customerInfo.js'

// 资方管理-客户支用信息
import * as customerDisburseInfo from './capitalManage/customerDisburseInfo.js'

// 资方管理-合作概况
import * as cooperationSurvey from './capitalManage/cooperationSurvey.js'

// 业务管理
import * as businessManage from './businessManage/index.js'

// 结算单管理
import * as settleManagement from './settleManagement/index.js'


export default {
  capitalManage: {
    ...relationDisburse,
    ...customerInfo,
    ...customerDisburseInfo,
    ...cooperationSurvey
  },
  businessManage,
  settleManagement,
  dictionary: {
    ...dictionary
  },
  upload: {
    ...upload
  },
}
